import {ApiCall} from "tsrpc";
import {HuoDongFun} from "../../public/huodongfun";
import {ReqhdGetList, ReshdGetList} from "../../shared/protocols/eventlist/PtlhdGetList";
import {HeroShared} from "../../shared/public/hero";

export default async function (call: ApiCall<ReqhdGetList, ReshdGetList>) {

    let _hdList = await HuoDongFun.gethdList(call)

    call.succ({hdlist: _hdList});
}