import { ApiCall } from "tsrpc";
import { FightFun } from '../../public/fight';
import { ReqLog, ResLog } from "../../shared/protocols/ganhai/PtlLog";

export default async function (call: ApiCall<ReqLog, ResLog>) {
    call.succ(await FightFun.readLog(call.uid, 'ganhai'));
}