type gc_armyattr = k_v<{
    /** 属性编号 */
    'id': number
    /** 攻击 */
    'atk': number
    /** 最小伤害 */
    'mindps': number
    /** 最大伤害 */
    'maxdps': number
    /** 防御 */
    'def': number
    /** 生命 */
    'hp': number
    /** 速度 */
    'speed': number
    /** 命中 */
    'mingzhongpro': number
    /** 闪避 */
    'misspro': number
    /** 吸血 */
    'xixuepro': number
    /** 反伤 */
    'backdps': number
    /** 幸运伤害倍率 */
    'baoshangpro': number
    /** 伤害减免 */
    'undpspro': number
    /** 降低受到的物理伤害 */
    'phydpsdrop': number
    /** 降低受到的魔法伤害 */
    'magdpsdrop': number
    /** 每回合回复生命 */
    'backhp': number
    /** 幸运 */
    'baoji': number
    /** 士气 */
    'shiqi': number
    /** 伤害加成 */
    'dpspro': number
    /** 中毒上限 */
    'ducontrol': number
}>;

type gc_attr = k_v<{
    /** 字段名称 */
    'id': string
    /** 中文名 */
    'name': string
    'undefined': string
    /** 品质 */
    'colour': number
    /** 大图标 */
    'icon': string
    /** 小图标 */
    'sicon': string
    /** 描述 */
    'describe': string
    /** icon上特效 */
    'advancedEffects': string
}>;

type gc_boss = k_v<{
    /** bossID */
    'id': number
    /** 角色名称 */
    'name': string
    /** 角色形象 */
    'img': number
    /** 描述 */
    'intr': string
    /** 技能 */
    'skill': { [x: string]: any }
    /** 攻击前技能1 */
    'bdskill': any[]
    /** 需要展示的技能 */
    'mbskill': any[]
}>;

type gc_buff = k_v<{
    /** 名字buff */
    'id': string
    /** buff类型 */
    'bufftype': string
    /** 效果类型 */
    'type': number
    'undefined': string
    /** buff动画 */
    'ani': string
    /** 动效类型 */
    'anitype': number
    /** 图标 */
    'img': string
    /** 图标是否显示 */
    'isshow': number
}>;

type gc_chongzhi = { "payCom": { "payId": string, "firstPayPrize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "tequan": { [key: string]: { "gift": { "buyNum": number, "sale": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }, "tip": string, "tq": { "1": { "tip": [string, number], "isnew": boolean, [x: string]: any }, [x: string]: any }, [x: string]: any } }, [x: string]: any }

type gc_choujiang = {
    "base": { "need1": string, "need2": string, "free": string, "firstdiaoluo": string, "diaoluo": string, "replace": { "num": string, "colour": string, "diaoluo": string, [x: string]: any }, [x: string]: any }, "jiaotang": { "1": { "name": string, "need1": { "a": string, "t": number, "n": number, [x: string]: any }, "need2": { "a": string, "t": string, "n": number, [x: string]: any }, "free": number, "firstdiaoluo": number, "diaoluo": number, "replace": { "num": number, "colour": number, "diaoluo": number, [x: string]: any }, [x: string]: any }, "2": { "name": string, "need1": { "a": string, "t": number, "n": number, [x: string]: any }, "need2": { "a": string, "t": string, "n": number, [x: string]: any }, "firstdiaoluo": [number, number, number, number, number, number, number, number, number, number], "diaoluo": [number, number, number, number, number, number, number, number, number, number], [x: string]: any }, [x: string]: any }, "jiuba": { "1": { "name": string, "need1": { "a": string, "t": number, "n": number, [x: string]: any }, "need2": { "a": string, "t": string, "n": number, [x: string]: any }, "free": number, "firstdiaoluo": number, "diaoluo": [number, number, number, number, number, number, number, number, number, number], "replace": { "num": number, "colour": [number, number], "diaoluo": number, [x: string]: any }, [x: string]: any }, "2": { "name": string, "need1": { "a": string, "t": number, "n": number, [x: string]: any }, "need2": { "a": string, "t": string, "n": number, [x: string]: any }, "firstdiaoluo": [number, number, number, number, number, number, number, number, number, number], "diaoluo": [number, number, number, number, number, number, number, number, number, number], [x: string]: any }, [x: string]: any }, "jiubabaodi": { "numbd": { "50": [number], "250": [number], "550": [number], "1000": [number], "1500": [number], "2000": [number], "2500": [number], "3000": [number], "3500": [number], "4000": [number], "4500": [number], "5000": [number], "5500": [number], "6000": [number], "6500": [number], "7000": [number], "7500": [number], "8000": [number], "8500": [number], "9000": [number], "9500": [number], "10000": [number], [x: string]: any }, [x: string]: any }, [x: string]: any
}

type gc_chuanshuozhilu = { "hid": string, "time": number, "task": { "idx": number, "total": number, "type": string, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "des": string, [x: string]: any }[], "box": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }, [x: string]: any }[]

type gc_clsl_com = {
    "divide": { "day": [number, number], "group": number, [x: string]: any }[], "divideTime": number, "fightTime": [number, number], "prizeTime": number, "fightWinPrize": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "star": number, [x: string]: any }[], "fightNum": number, "vipBuyFightNum": [number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number], "buyFightNumNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "rankPrize": { "rank": [number, number], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "title": string, [x: string]: any }[], "danPrize": { "star": [number, number], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "email_rank": { "title": string, "content": string, [x: string]: any }, "email_dan": { "title": string, "content": string, [x: string]: any }, [x: string]: any
}

type gc_clsl_dan = k_v<{
    /** 总星级 */
    'allStar': number
    /** 段位 */
    'dan': number
    /** 段位名字 */
    'danName': string
    /** 阶级 */
    'jieji': number
    /** 星级 */
    'star': number
    /** 失败扣除星级 */
    'failCut': number
    /** 战斗奖励 */
    'fightPrize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 机器人 */
    'npc': number
}>;

type gc_com = k_v<{
    /** id */
    'id': string
    /** 字段类型 */
    'type': string
    /** 值 */
    'value': number
    /** 策划备注，程序不读 */
    'text': string
}>;

type gc_common = { "base": { "patacom": { "patamax": string, [x: string]: any }, "gbtxcom": { "gbtxadd": string, [x: string]: any }, "usercom": { "changename": string, [x: string]: any }, [x: string]: any }, "patacom": { "patamax": number, [x: string]: any }, "gbtxcom": { "gbtxadd": number, [x: string]: any }, "usercom": { "changename": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }, [x: string]: any }

type gc_diaoluo = k_v<{
    /** 掉落组 */
    'id': number
    /** 掉落类型 */
    'a': string
    /** 掉落id */
    't': string
    /** 掉落数量 */
    'n': number
    /** 权重 */
    'p': number
}[]>;

type gc_diaoluoduihuan = { "diaoluo": { "a": string, "t": string, "n": number, "p": number, "s": number, [x: string]: any }[], "tiaozhuan": number, "event": { "time": number, "itemId": string, "duihuan": { "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "num": number, [x: string]: any }[], "shop": { "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "num": number, [x: string]: any }[], "gift": { "payId": string, "num": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], [x: string]: any }, [x: string]: any }

type gc_dixiaheishi = { "tqyk": { [key: string]: { "payId": string, "title": string, [x: string]: any } }, "zsk": { "payId": string, [x: string]: any }, "yueka": { "payId": string, [x: string]: any }[], "zhoulibao": { "time": number, "pays": { "payId": string, [x: string]: any }[], [x: string]: any }, "136Gift": { "payId": string, "prize": any[], [x: string]: any }[], [x: string]: any }

type gc_dixiaqianzhuang = k_v<{
    /** ID */
    'id': number
    /** 可购买次数 */
    'cs': [number, number]
    /** 消耗钻石 */
    'need': number
    /** 需要VIP等级 */
    'needVIP': number
}>;

type gc_dxlt_com = { "open": [number, number], "heroNum": [number, number], "dayFightLayer": number, "fastFightNeedNum": number, "getPrizeByMiBaoNum": number, "dayResetBackLayer": number, "weekResetBackLayer": number, "fightPrize": { "random": { "type": string, "rd": { "id": string, "p": number, [x: string]: any }[], "p": number, [x: string]: any }[], "item": { [key: string]: { "name": string, "val": number, "intr": string, [x: string]: any } }, "buff": { [key: string]: { "name": string, "buff": { "dpspro": number, [x: string]: any }, "intr": string, [x: string]: any } }, "prizeDlz": number, [x: string]: any }, "fightPrizeBoss": { "random": { "p": number, "dlz": number, [x: string]: any }[], [x: string]: any }, "killPrize": { "need": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "passPrize": { "need": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], [x: string]: any }

type gc_dxlt_layer = k_v<{
    /** id */
    'id': number
    /** 类型 */
    'type': number
    /** 战斗组 */
    'npcId': number
    /** 战斗奖励 */
    'price': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 是不是守卫长 */
    'isBoss': number
    /** 层数 */
    'ceng': number
    /** 关 */
    'guan': number
}>;

type gc_dxlt_mb = k_v<{
    /** id */
    'id': number
    /** 密宝 */
    'mibao': { "a": string, "t": string, "n": number, [x: string]: any }[]
}>;

type gc_dxlt_shop = k_v<{
    /** id */
    'id': number
    /** 商品名称 */
    'name': string
    /** 购买次数 */
    'buyNum': number
    /** 购买消耗 */
    'need': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 购买获得 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 权重 */
    'p': number
}>;

type gc_equip = k_v<{
    /** 装备id */
    'id': number
    /** 装备名称 */
    'name': string
    'undefined': string
    /** 类型 */
    'type': number
    /** 品质 */
    'colour': number
    /** 图片 */
    'icon': string
    /** 初始属性 */
    'buff': { "mindps": number, "maxdps": number, [x: string]: any }
    /** 强化公式 */
    'qh': { "mindps": string, "maxdps": string, [x: string]: any }
    /** 套装id */
    'tzid': number
    /** 装备描述 */
    'des': string
    /** icon上特效 */
    'advancedEffects': string
}>;

type gc_equipAdjusting = k_v<{
    /** 调校等级 */
    'lv': number
    /** 调校消耗 */
    'need': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 加成 */
    'percent': number
}>;

type gc_equiplvup = k_v<{
    /** 等级 */
    'lv': number
    /** 消耗 */
    'need': { "a": string, "t": string, "n": number, [x: string]: any }[]
}>;

type gc_equipMaster = k_v<{
    /** 培养类型 */
    'type': string
    /** 大师等级 */
    'lv': number
    /** 激活等级 */
    'aLv': number
    /** 属性加成 */
    'buff': { "atk": number, [x: string]: any }
}[]>;

type gc_equipstar = k_v<k_v<{
    /** 装备id */
    'id': number
    /** 星级 */
    'star': number
    /** 强化等级上限 */
    'qhlv': number
    /** 星级属性 */
    'buff': { [x: string]: any }
    /** 升星消耗 */
    'need': any[]
    /** 描述 */
    'describe': string
}>>;

type gc_equipSuit = k_v<{
    /** 套装id */
    'id': number
    /** 套装名字 */
    'name': string
    /** 套装buff */
    'buff': { "2": { "hp": number, [x: string]: any }, "3": { "atk": number, [x: string]: any }, "4": { "def": number, [x: string]: any }, [x: string]: any }
}>;

type gc_eventOpen = { [key: string]: { "day": number, [x: string]: any } }

type gc_exchangeRate = k_v<{
    /** RMB */
    'CNY': number
    /** 日元 */
    'JPY': number
    /** 美元 */
    'USD': number
    /** 台币 */
    'TWD': number
    /** 韩币 */
    'KRW': number
}>;

type gc_fightPlan = k_v<k_v<{
    /** id */
    'id': number
    /** 类型 */
    'type': number
    /** 等级 */
    'lv': number
    /** 消耗 */
    'need': any[]
    /** 属性 */
    'buff': any[]
}>>;

type gc_friend = { "tuijianNum": number, "maxFriendNum": number, "maxSendGiftNum": number, "maxGetGiftNum": number, "giftPrize": number, [x: string]: any }

type gc_ganbutexun = k_v<{
    /** 干部ID */
    'heroid': number
    /** 解锁条件 */
    'cond': { "mapId": number, [x: string]: any }
    /** 挑战消耗 */
    'need': { "a": string, "t": string, "n": number, [x: string]: any }
    /** NPC战斗组 */
    'battle': number
    /** 干部碎片 */
    'item': number
    /** 奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
}>;

type gc_gbtx_npcLv = k_v<{
    /** 英雄id */
    heroid: number
    /** 挑战次数 */
    num: number
    /** npcId */
    npcId: number
}>

type gc_ganhai = { "ships": { "name": string, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "ldRatio": number, "kshsNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "ldNum": number, "p": number, "time": number, [x: string]: any }[], "doubleTime": [[number, number], [number, number]], "refreshNum": number, "refreshNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "refreshMaxNeed": number, "fightNum": number, "escortNum": number, "num": number, "oneClickNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }

type gc_gonglukuangbiao = {
    "config": { "type": string, "need": number, "killHonor": number, "round": { "default": number, "min": number, [x: string]: any }, "npc": [string, string, string, string, string, string, string, string, string, string, string, string, string, string, string, string, string, string, string, string, string], [x: string]: any }[], "killDeduct": number, "timeDeduct": number, "drop1": [number], "drop2": any[], "refreshNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "fightNum": number, "vipBuyFightNum": [number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number], "buyFightNumNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "star": { "1": [number, number], "2": [number, number], "3": [number, number], "4": [number, number], "5": [number, number], [x: string]: any }, "wanted": { [key: string]: { "wanted": [number, number], "addwanted": number, "spwanted": number, "jinbi": string, "index": number, "fightsppro": [number, number], [x: string]: any } }, "qdusersp": [string, string, string], "npcname": [string, string, string, string, string, string], [x: string]: any
}

type gc_group = k_v<{
    /** 序号 */
    'id': number
    /** 英雄id */
    'page': number
    /** 羁绊id */
    'group_id': number
    /** 羁绊名称 */
    'name': string
    'undefined': string
    /** 羁绊成员 */
    'member': string
    /** 属性 */
    'skill': { "atkpro": number, [x: string]: any }
    /** 羁绊描述 */
    'describe': string
    /** 组合类型 */
    'type': string
}[]>;

type gc_guanlidiaodu = {
    "hero_qs_need": { "a": string, "t": string, "n": number, [x: string]: any }[], "hero_qs_prize": { "1": { "a": string, "t": string, "n": number, [x: string]: any }[], "2": { "a": string, "t": string, "n": number, [x: string]: any }[], "3": { "a": string, "t": string, "n": number, [x: string]: any }[], "4": { "a": string, "t": string, "n": number, [x: string]: any }[], "5": { "a": string, "t": string, "n": number, [x: string]: any }[], "6": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }, "hero_cz_need": { "a": string, "t": string, "n": number, [x: string]: any }[], "hero_cz_jinbi": number, "equip_qs_need": { "a": string, "t": string, "n": number, [x: string]: any }[], "equip_qs_prize": { "1": { "a": string, "t": string, "n": number, [x: string]: any }[], "2": { "a": string, "t": string, "n": number, [x: string]: any }[], "3": { "a": string, "t": string, "n": number, [x: string]: any }[], "4": { "a": string, "t": string, "n": number, [x: string]: any }[], "5": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }, "equip_cz_need": { "a": string, "t": string, "n": number, [x: string]: any }[], "equip_cz_jinbi": number, "showRes": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any
}

type gc_guide = k_v<k_v<{
    /** 步骤编号 */
    'step': number
    /** 组号 */
    'group': number
    /** 类型 */
    'guideType': number
    /** 跳组 */
    'break': number
    /** 触发条件 */
    'triggerCond': string
    /** 依赖界面 */
    'reliant': string
    /** 模型 */
    'spine': string
    /** 人物方向 */
    'direction': number
    /** 音效 */
    'sound': string
    /** 展示背景 */
    'bg': string
    /** 是否自由操作 */
    'mask': number
    /** 内容 */
    'content': string
    /** 后续引导触发事件 */
    'afterEvent': string
    /** 后续引导 */
    'afterGuide': string
    /** 引导描述(策划自用) */
    'intr': string
    /** 点击节点 */
    'fingerClick': string
    /** 是否跳过 */
    'skip': number
}>>;

type gc_hbzb = {
    "schedulerTime": number, "jfsOpenLv": number, "jfsFightNum": number, "jfsEnemyNum": number, "jfsOpenTime": [number, number], "jfsBuyFightNum": [number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number], "jfsRefreshNum": number, "jfsRefreshNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "jfsBuyFightNumNeed": { "nums": [number, number], "need": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "jfsFightWinNumPrize": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "jfsMatchingAuto": { "max": string, "min": string, [x: string]: any }[], "jfsMatchingHand": { "max": string, "min": string, [x: string]: any }[], "jfsRefreshNpcId": { "lvs": [number, number], "npcs": [[string], [string], [string]], [x: string]: any }[], "jfsJifenRange": [number, number], "jfsFightWinPrize": { "a": string, "t": string, "n": number, [x: string]: any }[], "jfsFightFailPrize": { "a": string, "t": string, "n": number, [x: string]: any }[], "jfsCrossRankPrize": { "ph": [number, number], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "jfsLocalRankPrize": { "ph": [number, number], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "jfsLocalEmail": { "titel": string, "content": string, [x: string]: any }, "jfsCrossEmail": { "titel": string, "content": string, [x: string]: any }, "jfsFightLogNum": number, "zbsOpenTime": [number, number], "zbsRankPrize": { "ph": [number, number], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "zbsEmail": { "titel": string, "content": string, [x: string]: any }, "zbsFightWinNumPrize": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "zbsFightFailCd": number, "zbsFightNum": number, "zbsBuyFightNum": [number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number], "zbsBuyFightNumNeed": { "nums": [number, number], "need": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "zbsFightLogNum": number, "zbsFightWinPrize": { "a": string, "t": string, "n": number, [x: string]: any }[], "zbsFightFailPrize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any
}

type gc_hero = k_v<{
    /** 角色名称 */
    'name': string
    /** 角色ID */
    'id': number
    /** 角色形象 */
    'img': number
    /** 星级 */
    'star': number
    /** 品质 */
    'colour': number
    /** 升级编号 */
    'lvup': number
    /** 进阶编号 */
    'jjup': number
    /** 专属武器 */
    'zhuanshu': number
    /** 英雄描述 */
    'describe': string
    /** icon上特效 */
    'advancedEffects': string
    /** 干部传记 */
    'intr': string
    /** 传记奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 定位描述 */
    'orientationDes': string
}>;

type gc_heroAbility = k_v<{
    /** ID */
    'id': number
    /** 属性名称 */
    'name': string
    'undefined': string
    /** 字段 */
    'shuxing': string
    /** 格式 */
    'type': number
    /** 描述 */
    'des': string
}>;

type gc_herocom = { "szHeroLimit": { "1": number, "2": number, "3": number, "4": number, "5": number, "6": number, [x: string]: any }, "equipOpenLv": number, "zswqOpenLv": number, "zswqVip": [number, number, number, number, number, number, number], "zhuzhan": [[string, number, string, number], [string, number, string, number], [string, number, string, number], [string, number, string, number], [string, number, string, number], [string, number, string, number], [string, number, string, number], [string, number, string, number], [string, number], [string, number]], "zhuzhanBuff": { "need": number, "value": { "atk": number, "def": number, "hp": number, "mingzhongpro": number, [x: string]: any }, [x: string]: any }[], [x: string]: any }

type gc_herogrow = k_v<k_v<{
    /** 角色id */
    'id': number
    /** 阶级 */
    'jieji': number
    /** 进阶属性 */
    'jj_attr': { [x: string]: any }
    /** 进阶增加全体上阵属性 */
    'jj_allattr': { [x: string]: any }
    /** 阶级属性 */
    'buff': { "atk": number, "maxdps": number, "hp": number, "speed": number, [x: string]: any }
    /** 进阶消耗 */
    'need': any[]
    /** 需要等级 */
    'lv': number
    /** 天赋名 */
    'name': string
    /** 天赋描述 */
    'describe': string
}>>;

type gc_herolv = k_v<{
    /** 角色id */
    'id': number
    /** 升级属性 */
    'buff': { "atk": string, "def": string, "hp": string, "speed": number, "mindps": string, "maxdps": string, [x: string]: any }
}>;

type gc_herolvup = k_v<{
    /** 等级 */
    'lv': number
    /** 经验 */
    'expneed': number
    /** 美金 */
    'jinbineed': number
}>;

type gc_heroskill = k_v<k_v<{
    /** 英雄ID */
    'id': number
    /** 进阶等级 */
    'lv': number
    /** 攻击前技能 */
    'bdskill': any[]
    /** 技能 */
    'skill': { "1001100": number, "1001101": number, [x: string]: any }
}>>;

type gc_hero_jx = k_v<{
    /** 等级 */
    'lv': number
    /** 升级消耗材料 */
    'item_cos': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 升级多少个干部本体碎片 */
    'HeroDebris_Cos': number
    /** 总天赋点 */
    'talent_point': number
}>;

type gc_hero_qianneng = k_v<k_v<{
    /** 类型 */
    'type': string
    /** 等级 */
    'lv': number
    /** 属性加成 */
    'buff': { "atk": number, [x: string]: any }
    /** 升级消耗 */
    'need': { "a": string, "t": string, "n": number, [x: string]: any }[]
}>>;

type gc_hero_tf = k_v<k_v<{
    /** 序号 */
    'id': number
    /** 天赋类型 */
    'type': number
    /** 天赋页 */
    'tab': number
    /** 天赋图标 */
    'png': string
    /** 天赋名称 */
    'name': string
    'undefined': string
    /** 天赋等级 */
    'lv': number
    /** 解锁所需前置天赋 */
    'unlock': any[]
    /** 基础属性 */
    'effect': { "atk": number, [x: string]: any }
    /** 技能效果 */
    'skill_effect': string
    /** 天赋效果描述 */
    'describe': string
    /** 升级消耗天赋点 */
    'cos': number
}>>;

type gc_huobanzhaomu = { "total": number, "gudKey": string, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[]

type gc_huodong = {
    "hdid": number, "htype": number, "stype": number, "ttype": number, "stime": number, "rtime": number, "etime": number, "name": string, "icon": string, "showtime": string, "data": {
        "1": string, "2": string, "intr0": string, "intr1": string, "intr2": string, "intr3": string, "intr4": string, "name": string, "icon": string, "tab0": string, "tab1": string, "tab2": string, "tab3": string, "tab4": string, "gift": { "index": number, "need": any[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": [[number], number], "tasklist": { "1": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, "zero": number, [x: string]: any } }, "2": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, [x: string]: any } }, "3": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, "4": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, [x: string]: any } }, [x: string]: any }, [x: string]: any
    }, [x: string]: any
}[]

type gc_item = k_v<{
    /** 道具ID */
    'id': number
    /** 道具名称 */
    'name': string
    'undefined': string
    /** 道具类型 */
    'type': number
    /** 背包分类 */
    'sort': number
    /** 道具品质 */
    'colour': number
    /** 获取途径 */
    'way': [number, number, number, number]
    /** 使用跳转 */
    'go': string
    /** 道具图标 */
    'icon': string
    /** 小图标 */
    'sicon': string
    /** 道具描述 */
    'describe': string
    /** 掉落组 */
    'diaoluo': number
    /** 使用等级 */
    'lv': number
    /** 合成数量 */
    'num': number
    /** 合成指定英雄ID */
    'hero': number
    /** 合成指定装备ID */
    'equip': number
    /** 合成指定道具 */
    'item': number
    /** 使用消耗 */
    'useNeed': any[]
    /** 使用后获得 */
    'usePrize': any[]
    /** 可选择的奖励 */
    'selecPrize': any[]
    /** pay表ID */
    'payId': string
    /** icon上特效 */
    'advancedEffects': string
}>;

type gc_jierihuodong = { "denglufuli": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "huodongrenwu": { "idx": number, "taskId": string, "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "decs": string, [x: string]: any }[], "duihuan": { "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "num": number, [x: string]: any }[], "libao": { "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "num": number, [x: string]: any }[], [x: string]: any }

type gc_jijin = k_v<{
    /** 基金类型 */
    'type': string
    /** 需要达到的值 */
    'total': number
    /** 普通奖励 */
    'pt': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 特权奖励 */
    'tq': { "a": string, "t": string, "n": number, [x: string]: any }[]
}[]>;

type gc_jjc_com = { "fightNum": number, "fightWinPrize": { "a": string, "t": string, "n": number, [x: string]: any }[], "fightFailPrize": { "a": string, "t": string, "n": number, [x: string]: any }[], "buyFightNumVip": { "0": number, "1": number, "2": number, "3": number, "4": number, "5": number, "6": number, "7": number, "8": number, "9": number, "10": number, "11": number, "12": number, "13": number, "14": number, "15": number, "16": number, "17": number, [x: string]: any }, "buyFightNumNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "fightLogMaxNum": number, "email": { "titel": string, "content": string, [x: string]: any }, "sendPrizeTime": [string, number], [x: string]: any }

type gc_jjc_npc = k_v<{
    /** id */
    'id': string
    /** 名字 */
    'name': string
    /** npc表的npcid */
    'npcId': number
    /** 荣誉值 */
    'rongyu': number
    /** 战力 */
    'power': number
    /** 等级 */
    'lv': number
}>;

type gc_jjc_ph = k_v<{
    /** id */
    'id': number
    /** 排名 */
    'ph': [number, number]
    /** 固定奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 荣誉奖励(itemid:11) */
    'rongyuprize': number
}>;

type gc_jjc_tz = k_v<{
    /** id */
    'id': number
    /** 挑战次数 */
    'num': number
    /** 奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
}>;

type gc_kaifukuanghuan = {
    "loginPrize": [{ "a": string, "t": string, "n": number, [x: string]: any }[], { "a": string, "t": string, "n": number, [x: string]: any }[], { "a": string, "t": string, "n": number, [x: string]: any }[], { "a": string, "t": string, "n": number, [x: string]: any }[], { "a": string, "t": string, "n": number, [x: string]: any }[], { "a": string, "t": string, "n": number, [x: string]: any }[], { "a": string, "t": string, "n": number, [x: string]: any }[]], "shop": { "buyNum": number, "day": number, "vip": number, "sale": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "taskType": { "今日登陆": string, "今日累计充值x元": string, "任意装备强化至x级": string, "竞技场排名达到x": string, "同时出战x名紫色干部": string, "通过斩草除根关卡": string, "拥有x件蓝色及以上装备": string, "拥有x名进阶+1的干部": string, "佣兵助战上阵x个干部 ": string, "维修厂老实轿车突破到x阶x星 ": string, "干部羁绊属性激活x条 ": string, "玩家等级达到x级": string, "玩家总战力达到x": string, "主线关卡": string, [x: string]: any }, "task": {
        "1": { "taskId": string, "taskType": string, "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tiaozhuan": number, [x: string]: any }[], "2": { "taskId": string, "taskType": string, "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tiaozhuan": number, [x: string]: any }[], "3": { "taskId": string, "taskType": string, "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tiaozhuan": number, [x: string]: any }[], "4": { "taskId": string, "taskType": string, "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tiaozhuan": number, [x: string]: any }[], "5": { "taskId": string, "taskType": string, "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tiaozhuan": number, [x: string]: any }[], "6": { "taskId": string, "taskType": string, "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tiaozhuan": number, [x: string]: any }[], "7": { "taskId": string, "taskType": string, "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tiaozhuan": number, [x: string]: any }[], [x: string]: any
    }, "taskBoxPrize": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "email": { "title": string, "content": string, [x: string]: any }, [x: string]: any
}

type gc_kbzz = {
    "autoApplyNeedVip": number, "time": { "apply": [number, number], "applyEnd": [number, number], "eventCycle": [number, number], [x: string]: any }, "groupNum": number, "troop": { "name": string, [x: string]: any }[], "troopScore": number, "playerScore": number, "winScore": number, "winPrize": { "a": string, "t": string, "n": number, [x: string]: any }[], "failScore": number, "failPrize": { "a": string, "t": string, "n": number, [x: string]: any }[], "scorePrize": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "playerPrize": { "ph": [number, number], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "troopPrize": { "ph": [number, number], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "fightNum": number, "maxFightNum": number, "recoverFightNum": number, "buyFightNum": [number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number], "buyFightNumNeed": { "nums": [number, number], "need": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "refreshEnemyNum": number, [x: string]: any
}

type gc_land = k_v<{
    /** 序号 */
    'id': number
    /** 区域类型 */
    'type': number
    /** 第几条街道 */
    'page': number
    /** 此街道上的建筑叫什么名字 */
    'name': string
    /** 街道名称 */
    'jieName': string
    /** 是否为公共街道 */
    'public_map': number
    /** 策划自用 */
    'intr': string
    /** 建筑图标 */
    'png': string
    /** 获得什么道具 */
    'reward': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 每秒奖励公式 */
    'formula': string
    /** 占领时间 */
    'time': number
}>;

type gc_leijichongzhi = { "time": number, "tasks": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], [x: string]: any }

type gc_meirishilian = k_v<k_v<{
    /** 类型 */
    'type': string
    /** 难度 */
    'difficulty': number
    /** 开放等级 */
    'openLv': number
    /** npc */
    'npcId': number
    /** 胜利奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 推荐战力 */
    'tjzl': number
}>>;

type gc_meirishilian_com = { "fightNum": number, "fightBuyNum": number, "fightBuyNumNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }

type gc_mingdao = k_v<{
    /** ID */
    'id': number
    /** 名刀ID */
    'dao': number
    /** 激活条件 */
    'condition': [[string, number]]
    /** 最高等级 */
    'level': number
    /** 升级所需材料 */
    'need': { "a": string, "t": string, "n": number, [x: string]: any }
    /** 升级所需 */
    'needExp': number
    /** 修复奖励 */
    'reward': { [key: string]: { "a": string, "t": string, "n": number, [x: string]: any } }
    /** 基础属性 */
    'buff': { "atk": number, "def": number, "hp": number, [x: string]: any }
    /** 每次升级加属性 */
    'upBuff': { "atk": number, "def": number, "hp": number, [x: string]: any }
    /** 特权 */
    'privilege': { "zjgy_xld": number, [x: string]: any }
    /** 名刀图片 */
    'img': number
    /** 名称 */
    'name': string
    /** 描述 */
    'des': string
    /** 特权描述 */
    'privilege_des': string
}>;

type gc_mingdao_com = { "crit": { "multiple": number, "p": number, [x: string]: any }[], "addExp": number, "changeNeed": { "a": string, "t": string, "n": number, [x: string]: any }, [x: string]: any }

type gc_mw_com = { "gift": { "index": number, "need": any[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "giftdayprize": { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }, [x: string]: any }

type gc_mw_dj = k_v<{
    /** 等级 */
    'id': number
    /** 名望称号 */
    'name': string
    /** 星级 */
    'star': number
    /** 等级限制 */
    'lv': number
    /** 提升消耗 */
    'need': any[]
    /** 属性加成 */
    'buff': { "zj_atk": number, "zj_def": number, "zj_liliang": number, "zj_zhishi": number, [x: string]: any }
    /** 图片 */
    'img': number
}>;

type gc_name = k_v<{
    /** id */
    'id': number
    /** 前缀 */
    'qian': string
    /** 后缀 */
    'hou': string
}>;

type gc_niudanji = { "pay2num": number, "num2lottery": number, "lottery": { "p": number, "pmd": boolean, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], [x: string]: any }

type gc_npc = k_v<{
    /** NPC编号 */
    'npcId': number
    /** 额外属性 */
    'attr': k_v<number>
    /** NPC列表 */
    'npclist': string
    /** NPC显示等级 */
    'npcLv': any[]
    /** BOSS识别 */
    'isboss': number
    /**工会名称 */
    'ghname': string
    /**npc名称 */
    'npcname': string
}>;

type gc_openCond = k_v<{
    /** 功能名称 */
    'name': string
    'undefined': string
    /** 且条件 */
    'and': { "lv": number, [x: string]: any }
    /** 或条件 */
    'or': { [x: string]: any }
    /** 时间（s） */
    'time': number
    /** 未开放时提示 */
    'tips': string
    /** 到达条件就显示 */
    'display': { "lv": number, [x: string]: any }
}>;

type gc_openFun = k_v<{
    /** id */
    'id': number
    /** 玩家等级 */
    'lv': number
    /** 名称 */
    'name': string
    'undefined': string
}>;

type gc_other = { "item614": { "lv": [number, number], "dlz": number, [x: string]: any }[], [x: string]: any }

type gc_pata = k_v<{
    /** 爬塔层数 */
    'id': number
    /** 关卡 */
    'npcid': number
    /** 通关奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 地图 */
    'img': string
    /** 扫荡奖励 */
    'sdprize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 是否可以快速挑战 */
    'quickChallenge': number
}>;

type gc_patacom = k_v<{
    /** 爬塔层数 */
    'id': number
    /** 层数奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
}>;

type gc_pay = k_v<{
    /** 充值id */
    'id': string
    'undefined': string
    /** 充值金额 */
    'money': number
    /** 充值增加多少vip经验 */
    'payExp': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 首次充值奖励 */
    'firstPayPrize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 名字 */
    'name': string
    /** 购买持续时间 */
    'time': number
    /** 购买次数 */
    'buys': number
    /** vip要求 */
    'needVip': number
    /** 前置购买 */
    'front': { [x: string]: any }
}>;

type gc_payEmail = { "caifutequan": { "day": number, "title": string, "content": string, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "jiubatequan": { "day": number, "title": string, "content": string, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "zhongshenka": { "day": number, "title": string, "content": string, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "chaozhiyueka": { "day": number, "title": string, "content": string, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "zhizunyueka": { "day": number, "title": string, "content": string, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], [x: string]: any }

type gc_peijian = k_v<{
    /** 配件id */
    'id': number
    /** 部位id */
    'pos': number
    /** 名字 */
    'name': string
    'undefined': string
    /** 配件图标 */
    'icon': string
    /** 颜色品质 */
    'colour': number
    /** 是否经验配件 */
    'isExp': number
    /** 转化金币额度 */
    'conversion': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** buff加成 */
    'buff': any[]
    /** 套装id */
    'suit': number
    /** 拆解奖励 */
    'rmPrize': any[]
    /** 进阶id */
    'jjid': number
    /** 描述 */
    'intr': string
    /** 是否在图鉴显示 */
    'tujian': number
    /** icon上特效 */
    'advancedEffects': string
}>;

type gc_peijiancangku = { "warehouse": { "p": number, "index": number, "name": string, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "drop": { "p": number, "dlz": [string], [x: string]: any }[], [x: string]: any }[], "jumpWarehouse": { "index": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }, "showAtn": { "a": string, "t": string, [x: string]: any }[], [x: string]: any }

type gc_peijiancom = { "jinjieLv": number, "jinjieNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "jinglianColour": [number], "backpackNum": number, "resetNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "gridCond": { [key: string]: { "lv": number, "need": any[], [x: string]: any } }, "suitName": { "0": string, "1": string, "2": string, "3": string, "4": string, "5": string, "6": string, "7": string, "8": string, [x: string]: any }, [x: string]: any }

type gc_peijian_jl = k_v<{
    /** 等级 */
    'lv': number
    /** 强化等级要求 */
    'needLv': number
    /** 精炼消耗 */
    'need': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 吞噬的配件数量，配件id是能进阶为当前橙色配件紫色配件 */
    'peijianNum': number
    /** 基础属性加成百分比 */
    'pro': number
}>;

type gc_peijian_lv = k_v<k_v<{
    /** 颜色品质 */
    'colour': number
    /** 等级 */
    'lv': number
    /** 升级消耗 */
    'need': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** buff加成 */
    'buff': { "atk": number, "def": number, "hp": number, "mindps": number, "maxdps": number, "baoshangpro": number, [x: string]: any }
}>>;

type gc_peijian_master = k_v<k_v<{
    /** 套装ID */
    'suitId': number
    /** 大师等级 */
    'lv': number
    /** 累计等级 */
    'needLv': number
    /** 属性加成 */
    'buff': { "2": { "atk": number, [x: string]: any }, "4": { "def": number, [x: string]: any }, "6": { "mingzhongpro": number, [x: string]: any }, [x: string]: any }
}>>;

type gc_PiratesFight = k_v<{
    /** 序号 */
    'id': number
    /** 海盗名称 */
    'name': string
    'undefined': string
    /** 海盗等级/解锁等级 */
    'lv': number
    /** 海盗头像 */
    'png': string
    /** 海盗阵容 */
    'army': number
    /** 海盗实际掉落 */
    'drop': [number, number]
    /** 海盗击杀掉落 */
    'kill_drop': [number, number]
    /** 海盗展示掉落 */
    'display_drop': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 海盗复活时间/min */
    'member': number
}>;

type gc_playerChatFrame = k_v<{
    /** id */
    'id': number
    /** 名字 */
    'name': string
    /** 图片 */
    'img': string
    /** 解锁条件 */
    'cond': [string, number]
    'undefined': string
    /** 说明 */
    'intr': string
    /** 前端排序 */
    'sort': number
    /** buff增益 */
    'buff': { "defpro": number, [x: string]: any }
    /** 品质 */
    'colour': number
    /** 动效 */
    'ani': string
}>;

type gc_playerdata = { "data": { "a": string, "t": string, "n": number, [x: string]: any }[], "hero": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }

type gc_playerHead = k_v<{
    /** id */
    'id': number
    /** 名字 */
    'name': string
    'undefined': string
    /** 图片 */
    'img': number
    /** 解锁条件 */
    'cond': [string, number]
    /** 说明 */
    'intr': string
    /** 前端排序 */
    'sort': number
    /** buff增益 */
    'buff': { [x: string]: any }
    /** 品质 */
    'colour': number
    /** 动效 */
    'ani': string
}>;

type gc_playerHeadFrame = k_v<{
    /** id */
    'id': number
    /** 名字 */
    'name': string
    /** 图片 */
    'img': string
    /** 解锁条件 */
    'cond': [string, number]
    'undefined': string
    /** 说明 */
    'intr': string
    /** 前端排序 */
    'sort': number
    /** buff增益 */
    'buff': { [x: string]: any }
    /** 品质 */
    'colour': number
    /** 动效 */
    'ani': string
}>;

type gc_playerLv = k_v<{
    /** 等级 */
    'lv': number
    /** 所需经验 */
    'need': number
    /** 奖励主角的家点数 */
    'tujianlv': number
}>;

type gc_playerModel = k_v<{
    /** 类型 */
    'type': number
    /** id */
    'id': number
    /** 名字 */
    'name': string
    /** 头像icon */
    'head': number
    /** 造型spine名 */
    'img': string
    /** 解锁条件 */
    'cond': [string, number]
    /** 说明 */
    'intr': string
    /** 前端排序 */
    'sort': number
    /** buff增益 */
    'buff': { [x: string]: any }
    /** 品质 */
    'colour': number
    /** 名望spine */
    'mwSpine': string
    /** 战斗半身像 */
    'fireHead': string
}>;

type gc_pmd = { "get_hero_star5_pmd": string, "glkb_pmd": string, "jinjie_peijian": string, "guild_pmd": string, "tlsd_pmd": string, "hbzb_pmd1": string, "hbzb_pmd2": string, "hbzb_pmd3": string, [x: string]: any }

type gc_qiandao = k_v<k_v<{
    /** 天数 */
    'day': number
    /** 奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 月份 */
    'key': number
    /** 贵族奖励翻倍 */
    'vip': number
}>>;

type gc_qiandaocom = k_v<{
    /** 天数 */
    'daynum': number
    /** 奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
}>;

type gc_qirichongzhi = { "time": number, "tasks": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], [x: string]: any }[]

type gc_qiridenglu = { "day": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[]

type gc_qjzzd = { "rankPrize": { "ph": [number, number], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "rankphPrize": { "0": { "ph": [number, number], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "1": { "ph": [number, number], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "2": { "ph": [number, number], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], [x: string]: any }, "email": { "titel": string, "content": string, [x: string]: any }, "fightNum": number, "boss": [string, string, string], "bossTime": { "0": [number, number], "1": [number, number], "2": [number, number], [x: string]: any }, "time": [number, number], "fightPirze": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "dlz": [number], [x: string]: any } }, [x: string]: any }

type gc_ranking = k_v<{
    /** 排行榜id */
    'id': number
    /** 排行榜类 */
    'key': string
    /** 名字 */
    'name': string
    'undefined': string
    /** 配图 */
    'img': string
    /** 排名内容 */
    'des': string
    /** 背景图 */
    'bg': string
}>;

type gc_shilihuizhang = { [key: string]: { "icon": string, [x: string]: any } }

type gc_shili_com = {
    "badges": [string, string, string, string, string], "defaultNotice": string, "defaultJoinLv": number, "defaultAutoJoin": boolean, "createVip": number, "createNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "changeNameNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "juanxian": { "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "maxNum": number, "addExp": number, "vipAddNum": any[], [x: string]: any }[], "tanheTime": number, "ghTask": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "task": { "taskId": string, "taskType": string, "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "addExp": number, "title": string, "intr": string, "tiaozhuan": number, [x: string]: any }[], "maxNameLength": number, "maxNoticeLength": number, "exitGuildConfirm": string, "fightNum": number, "fightNumBuyNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "email": { "titel": string, "content": string, [x: string]: any }, "resHelp": { "need": { "a": string, "t": string, "n": number, [x: string]: any }, "num": number, "helpPrizeDrop": string, [x: string]: any }[], [x: string]: any
}

type gc_shili_fb = k_v<{
    /** 副本id */
    'id': number
    /** 章节 */
    'chapters': number
    /** 关卡图片 */
    'img': string
    /** 关卡怪物 */
    'npc': number
    /** 战斗奖励（掉落组） */
    'fightPrize': [number, number]
    /** 贡献奖励 */
    'gongxianprize': number
    /** 名字 */
    'name': string
    /** boss人物 */
    'bossspine': number
}>;

type gc_shili_fbyj = k_v<{
    /** 副本id */
    'id': number
    /** 排名区间 */
    'rank': [number, number]
    /** 邮件奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
}[]>;

type gc_shili_lv = k_v<{
    /** 等级 */
    'lv': number
    /** 所需贡献 */
    'exp': number
    /** 最大人数 */
    'maxNum': number
}>;

type gc_shili_wz = k_v<k_v<{
    /** 类型 */
    'type': number
    /** 等级 */
    'lv': number
    /** buff */
    'buff': { "def": number, [x: string]: any }
    /** 消耗 */
    'need': { "a": string, "t": string, "n": number, [x: string]: any }[]
}>>;

type gc_shiwu = k_v<{
    /** id */
    'id': number
    /** 名称 */
    'name': string
    'undefined': string
    /** 图标 */
    'icon': string
    /** 穿戴等级 */
    'lv': number
    /** 精炼下一个ID */
    'next': number
    /** 基础属性及区间 */
    'buff': { "mindps": [number, number], [x: string]: any }
    /** 专属概率 */
    'zhuanshu': number
}>;

type gc_shiwucom = {
    "base": {
        "jichu_colour": { "2": number, "3": number, "4": number, "5": number, [x: string]: any }, "hero_zhuanshu": [number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number], "fujia_colour": { "buffRandom": { "range": [number, number], "buff": { "hppro": [number, number], [x: string]: any }[], [x: string]: any }[], "color": { "range": [number, number], "color": number, [x: string]: any }[], [x: string]: any }, "fujianum_colour": { "2": number, "3": number, "4": number, "5": number, [x: string]: any }, "putongxilian": { "a": string, "t": string, "n": string, [x: string]: any }, "gaojixilian": { [key: string]: { "a": string, "t": string, "n": number, [x: string]: any } }, "buff_zhuanshu": { "hppro": number, "p": number, [x: string]: any }[], "skill_zhuanshu": { "id": string, "p": number, [x: string]: any }[], "chongzhuneed1": { "a": string, "t": string, "n": number, [x: string]: any }, "chongzhuneed2": { "a": string, "t": string, "n": number, [x: string]: any }, "chongzhurate": { "buff_zhuanshu": number, "skill_zhuanshu": number, [x: string]: any }, "tilian": { "2": { "a": string, "t": string, "n": number, [x: string]: any }[], "3": { "a": string, "t": string, "n": number, [x: string]: any }[], "4": { "a": string, "t": string, "n": number, [x: string]: any }[], "5": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }, "tilianhuobi": { "a": string, "t": string, [x: string]: any }, "tilianfactor": { "2": number, "3": number, "4": number, "5": number, [x: string]: any }, [x: string]: any
    }, "comment": { "jichu_colour": string, "fujia_colour": string, "fujianum_colour": string, "putongxilian": string, "gaojixilian": string, "hero_zhuanshu": string, "buff_zhuanshu": string, "skill_zhuanshu": string, "chongzhuneed": string, "chongzhurate": string, "tilianhuobi": string, [x: string]: any }, [x: string]: any
}

type gc_shiwuleichong = { tasks: { day: number, payid: string }[] }

type gc_shoot = { [key: string]: { "name": string, "num": number, "speed": number, "cartridge": number, "time": number, "prize": { [key: string]: { "describe": string, "hit": number, "content": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any } }, [x: string]: any } }

type gc_shop = k_v<{
    /** 商店id */
    'id': number
    /** 商店类型 */
    'type': number
    /** 商店名字 */
    'name': string
    'undefined': string
    /** 开启条件 */
    'openCond': [string, number]
    /** 自动刷新间隔 */
    'autoRefreshTime': number
    /** 手动刷新消耗 */
    'recoilRefreshNeed': any[]
    /** 手动刷新次数 */
    'recoilRefreshNum': number
    /** 免费刷新次数刷新间隔 */
    'freeRefreshInterval': number
    /** 免费刷新次数 */
    'freeRefreshNum': number
    /** 商品组 */
    'shopItems': [number, number, number, number, number, number, number, number, number, number, number, number]
    /** 展示道具 */
    'showItem': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** vip增加的手动刷新次数 */
    'vip': any[]
    /** 看板娘图片 */
    'npcImg': number
    /** 商店看板娘说话 */
    'npcText': string
    'version': string | number
}>;

type gc_shopcom = k_v<{
    /** ID */
    'id': number
    /** 商店表ID */
    'shopId': number
    /** 商店表类型 */
    'shopType': number
    /** 标题 */
    'title': string
    'undefined': string
    /** 开启条件 */
    'openCond': string
    /** 描述 */
    'des': string
    /** 图片 */
    'img': string
    /** 展示货币 */
    'cost': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 看板娘图片 */
    'npcImg': string
    /** 商店看板娘说话 */
    'npcText': string
}>;

type gc_shopItem = k_v<{
    /** 掉落组 */
    'id': number
    /** 掉落类型 */
    'a': string
    /** 掉落id */
    't': number
    /** 掉落数量 */
    'n': number
    /** 权重 */
    'p': number
    /** 品质 */
    'colour': number
    /** 购买次数 */
    'buyNum': number
    /** 开服多少天之后开启 */
    'openDay': number
    /** 购买消耗(计算了折扣后的消耗) */
    'buyNeed': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 折扣(仅前端显示用) */
    'sale': number
    /** vip需要达到多少才可购买 */
    'needVip': number
    /** 需要通关斩草除根关卡数 */
    'needZCCG': number
    /** 玩家等级 */
    'lv': [number, number]
    /** vip增加购买次数 */
    'vipAddbuyNum': [number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number]
}[]>;

type gc_shoucangpin = k_v<k_v<{
    /** 藏品ID */
    'id': number
    /** 藏品类型 */
    'type': number
    /** 名称 */
    'name': string
    /** 星级 */
    'star': number
    /** 图片 */
    'img': number
    /** 升星消耗 */
    'need': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 属性加成 */
    'buff': { "atk": number, "def": number, [x: string]: any }
    /** 特殊属性 */
    'teshubuff': { "jinbi": number, [x: string]: any }
    /** 特殊属性文本 */
    'teshudescribe': string
    /** 藏品介绍 */
    'describe': string
}>>;

type gc_shouchong = { [key: string]: { "paynum": number, "cartoon": { "hero": number, [x: string]: any }, "prize": [{ "a": string, "t": string, "n": number, [x: string]: any }[], { "a": string, "t": string, "n": number, [x: string]: any }[], { "a": string, "t": string, "n": number, [x: string]: any }[]], [x: string]: any } }

type gc_skillani = k_v<{
    /** 技能id */
    'id': string
    /** 角色 */
    'name': string
    /** 技能名称 */
    'jnname': string
    /** 类型 */
    'type': string
    /** 角色移动类型 */
    'movetype': string
    /** 伤害分段 */
    'atknum': number
    /** 每段伤害的权重 */
    'frequencyArr': [number, number, number]
    /** 受击动效 */
    'hitani': string
    /** 受击动效类型 */
    'hitanitype': number
    /** 全屏氛围 */
    'hitAniBg': string
    /** 震屏幅度 */
    'shake': [number]
    /** 技能音效 */
    'sound': string
    /** 受击音效 */
    'sjsound': string
}>;

type gc_skillintr = k_v<{
    /** 技能id */
    'skillid': number
    /** 主动技能图标 */
    'skillicon': string
    /** 名字 */
    'name': string
    /** 技能描述 */
    'describe': string
}>;

type gc_skill_afteratk = k_v<{
    /** 技能ID */
    'skillid': number
    /** 技能类型 */
    'type': number
    /** 攻击动作 */
    'act': string
    /** 选敌类型 */
    'side': number
    /** 释放概率 */
    'randnum': number
    /** 目标选敌 */
    'order': string
    /** 选敌数量 */
    'limit': number
    /** 数据 */
    'data': { "pro": number, [x: string]: any }
    /** 检测条件 */
    'chkdata': { [x: string]: any }
    /** 其他数据 */
    'ext': { "mofa": number, "islong": number, [x: string]: any }
    /** 描述 */
    'describe': string
}>;

type gc_skill_atk = k_v<{
    /** 技能id */
    'skillid': number
    /** 技能名称 */
    'name': string
    /** atk/skill */
    'atkType': string
    /** 技能类型 */
    'type': number
    /** 选敌类型 */
    'side': number
    /** 排序选择 */
    'order': string
    /** 数量 */
    'limit': number
    /** 受控是否触发 */
    'constrol': number
    /** 攻击后技能 */
    'v': [string]
    /** 技能描述 */
    'describe': string
}>;

type gc_skill_buff = k_v<{
    /** 技能id */
    'skillid': number
    /** 技能类型 */
    'type': number
    /** 选敌类型 */
    'side': number
    /** 排序选择 */
    'order': string
    /** 数量 */
    'limit': number
    /** 概率 */
    'randnum': number
    /** 效果（固定为buff） */
    'act': string
    /** buff类型 */
    'sxleixing': string
    /** buff增减益 */
    'buff_type': number
    /** 效果参数 */
    'xiaoguocanshu': { [x: string]: any }
    /** 持续回合 */
    'round': number
    /** buff 组 */
    'group': number
    /** 叠加效果 */
    'jiejiaxiaoguo': string
    /** 叠加层数 */
    'diejiacengshu': number
}>;

type gc_skill_passive = k_v<{
    /** 技能id */
    'skillid': number
    /** 技能类型 */
    'type': number
    /** 被动ID */
    'bdid': string
    /** 选敌类型 */
    'side': number
    /** 排序选择 */
    'order': string
    /** 数量 */
    'limit': number
    /** 概率 */
    'randnum': number
    /** 触发技能 */
    'v': { "runskill": [string], [x: string]: any }
    /** 持续时间 */
    'round': number
    /** 触发条件 */
    'chkdata': { "when": string, "side": number, [x: string]: any }
    /** 技能描述 */
    'describe': string
}>;

type gc_slzd = {
    "openDay": number, "openTime": [number, number], "schedulerPrize": number, "schedulerGroup": number, "forts": { [key: string]: { "name": string, "npc": { "lvs": [number, number], "npcs": [string, string, string], [x: string]: any }[], "prize": { "ph": [number, number], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "luckPrize": { "need": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }, "joinPrize": { "need": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }, [x: string]: any } }, "slotDrop": string, "slotNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "slotBingo": { "a": string, "t": string, [x: string]: any }[], "replyCd": number, "maxFightNum": number, "ctorFightNum": number, "buyFightNum": [number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number], "buyFightNumNeed": { "nums": [number, number], "need": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "refreshNum": number, "refreshNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "fightWinNumPrize": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "email_prize": { "title": string, "content": string, [x: string]: any }, "email_luck": { "title": string, "content": string, [x: string]: any }, "email_join": { "title": string, "content": string, [x: string]: any }, [x: string]: any
}

type gc_swskillcom = k_v<{
    /** 技能ID */
    'id': string
    /** 技能描述 */
    'name': string
    /** 策划自用 */
    'intr': string
}>;

type gc_tanxian = k_v<{
    /** 关卡id */
    'id': number
    /** 章节 */
    'chapter': number
    /** 地图 */
    'mapbg': string
    /** 解锁等级 */
    'needLv': number
    /** 关卡BOSS */
    'npcId': number
    /** 关卡名称 */
    'name': string
    /** 挂机奖励 */
    'gjPrize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 掉落组产出 */
    'dlz': any[]
    /** 通关奖励 */
    'passPrize': [number, number, number, number, number, number, number, number, number, number]
    /** 美金事件基数 */
    'base': number
    /** 美金时间档 */
    'round': [number, number, number]
    /** 事件掉落组 */
    'drop': [number, number]
    /** 关卡位置 */
    'pos': [number, number]
    /** 战斗地图 */
    'fightmap': string
}>;

type gc_tanxian_com = { "fastGuaJiNum": number, "fastGuaJiFreeNum": number, "fastGuaJiTime": number, "fastGuaJiNeed": [number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number], "fastGuaJiNumAddBuyVip": [number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number, number], "guaJiPrizeInterval": number, "guaJiDlzInterval": number, "maxGuaJiTime": number, "eventCd": number, "event": { "p": number, "type": string, "round": [number, number, number], [x: string]: any }[], [x: string]: any }

type gc_tanxian_shiwu = k_v<{
    /** 序号 */
    'id': number
    /** 玩家等级 */
    'level': [number, number]
    /** 掉落组ID */
    'diaoluo': number
    /** 挂机掉落组ID */
    'guajidiaoluo': number
}>;

type gc_tanxian_tgjl = k_v<{
    /** 通关奖励id */
    'id': number
    /** 需要通关的地图id */
    'mapId': number
    /** 奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 所在章节 */
    'chapter': number
    /** 描述 */
    'des': string
}>;

type gc_task = k_v<k_v<{
    /** 任务id */
    'id': number
    /** 任务类型 */
    'type': number
    /** 子类型 */
    'stype': number
    /** 奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 最大进度 */
    'pval': number
    /** 任务名称 */
    'name': string
    /** 描述 */
    'intr': string
    /** 前置任务 */
    'pretask': number
    /** 后置任务 */
    'followtask': number
    /** 任务条件 */
    'cond': any[]
    /** 跳转 */
    'tiaozhuan': number
    /** 排序 */
    'order': number
    /** 特殊 */
    'special': number
    /** 是否显示 */
    'show': string
}>>;

type gc_tujian_jc = k_v<{
    /** id */
    'id': number
    /** 进度 */
    'jindu': number
    /** 加成 */
    'buff': { "zj_liliang": number, "zj_zhishi": number, [x: string]: any }
}>;

type gc_usercom = { "changeName": { "a": string, "t": string, "n": string, [x: string]: any }, [x: string]: any }

type gc_vip = k_v<{
    /** vip等级 */
    'vip': number
    /** 所需经验 */
    'exp': number
}>;

type gc_wangzherongyao = {
    "comment": { [x: string]: any }, "wangzhe": {
        "bmneed": { "lv": number, [x: string]: any }, "dldrefrenum": number, "dlpknum": number, "bmprize": { "a": string, "t": string, "n": number, [x: string]: any }[], "timestatus": { "stime": number, "etime": number, "status": number, "stage": string, "desc": string, [x: string]: any }[], "eventtime": { "autobaomingtime": number, "dldstart": number, "start256": number, "start64": number, "zuanshisaisendprize": number, "start8": number, "wanzhesaisendprize": number, [x: string]: any }, "noupdate": any[], "addnpcid": [number, number], "jiangli": { "dld": { "intr": string, "jifen": number, "p": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "zuanshi": { "intr": string, "p": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "wangzhe": { "intr": string, "p": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], [x: string]: any }, "email": { [key: string]: { "title": string, "content": string, [x: string]: any } }, "guess": { [key: string]: { "needvip": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "name": string, "intr": string, "addmoney": number, [x: string]: any } }, [x: string]: any
    }, [x: string]: any
}

type gc_weixiuchang_dz = k_v<{
    /** id */
    'id': number
    /** 1合成2打造 */
    'type': number
    /** 材料道具 */
    'item': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 获得（掉落组） */
    'target': number
    /** 成功概率 */
    'success': number
    /** 失败奖励（掉落组） */
    'lose': number
    /** 合成列表标题 */
    'title': string
}>;

type gc_weixiuchang_zz = k_v<{
    /** id */
    'id': number
    /** 座驾名称 */
    'name': string
    /** 座驾图片 */
    'car': string
    /** 零件图片 */
    'parts': number
    /** 阶级 */
    'stage': number
    /** 星级 */
    'star': number
    /** 升级消耗 */
    'need': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 直接升级购买消耗 */
    // 'need2': { "a": string, "t": string, "n": number, [x: string]: any }[]
    'exchange': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 属性 */
    'buff': { "1": { "zj_liliang": number, [x: string]: any }, "2": { "zj_def": number, [x: string]: any }, "3": { "zj_atk": number, [x: string]: any }, "4": { "zj_zhishi": number, [x: string]: any }, "5": { "zj_atk": number, [x: string]: any }, [x: string]: any }
    /** 组装额外属性 */
    'buff2': { "zj_liliang": number, "zj_atk": number, "zj_zhishi": number, "zj_def": number, [x: string]: any }
    /** 关卡获得材料掉落组ID */
    'drop': number
}>;

type gc_xianshilibao = { [key: string]: { "payId": string, "time": number, [x: string]: any } }

type gc_xianshizhaomu = {
    "time": [number, number], "oneNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "tenNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "onePrize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tenPrize": { "a": string, "t": string, "n": number, [x: string]: any }[], "oneDrop": [number], "tenDrop": [number, number, number, number, number, number, number, number, number, number], "oneReplace": { "num": number, "drop": [number], [x: string]: any }, "eventPrize": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "gift": { "need": any[], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "num": number, "payId": string, [x: string]: any }[], "duihuan": { "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "num": number, [x: string]: any }[], "rankPrize": { "ph": [number, number], "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "email": { "title": string, "content": string, [x: string]: any }, [x: string]: any
}

type gc_xinshoulibao = { "time": number, "pays": { "payId": string, [x: string]: any }[], [x: string]: any }[]

type gc_xstask = k_v<{
    /** 任务id */
    'id': number
    /** 任务名称 */
    'name': string
    /** 品质 */
    'colour': number
    /** 时间 */
    'time': number
    /** 最大派遣英雄数量 */
    'needNum': number
    /** 需要的总星级 */
    'needStar': number
    /** 需要的总战力 */
    'needZhanli': number
    /** 奖励 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
    /** 权重 */
    'p': number
    /** 任务描述 */
    'intr': string
    /** 图片 */
    'img': string
}>;

type gc_xstaskcom = { "freeRefreshNum": number, "refreshNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "jiasu": { "time": [number, number], "need": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "lv": { [key: string]: { "taskColor": [number], "maxTaskNum": number, "need": number, [x: string]: any } }, [x: string]: any }

type gc_xunlianjihua = k_v<{
    /** 技能id */
    'id': number
    /** 技能名称 */
    'name': string
    'undefined': string
    /** 技能图标 */
    'icon': string
    /** 页签类型 */
    'tab': number
    /** 技能位置 */
    'xysite': string
    /** 是否可使用 */
    'use': number
    /** 技能类型文本 */
    'skillType': string
    /** 等级上限 */
    'lv': number
    /** 消耗训练点 */
    'need': number
    /** 总点数条件 */
    'cond': number
    /** 前置技能及点数 */
    'front': [number, number]
    /** 关联技能组 */
    'relevance': number
    /** 对应技能ID */
    'skill': string
    /** 技能描述 */
    'describe': string
    /** 计算公式 */
    'v': [string]
    /** 描述显示系数 */
    'desCoefficient': [number]
    /** 策划看技能描述 */
    'intr': string
}>;

type gc_yangchengmubiao = {
    "1": {
        "1": string, "2": string, "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr0": string, "intr1": string, "intr2": string, "intr3": string, "intr4": string, "name": string, "icon": string, "tab0": string, "tab1": string, "tab2": string, "tab3": string, "tab4": string, "gift": { "index": number, "need": any[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": [[number], number], "tasklist": { "1": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, "zero": number, [x: string]: any } }, "2": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, [x: string]: any } }, "3": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, "4": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, [x: string]: any } }, [x: string]: any }, [x: string]: any
    }, "3": {
        "3": string, "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr0": string, "intr3": string, "intr4": string, "name": string, "icon": string, "tab0": string, "tab3": string, "tab4": string, "gift": { "index": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": any[], "tasklist": { "3": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, "4": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, "zero": number, [x: string]: any } }, [x: string]: any }, [x: string]: any
    }, "4": { "3": string, "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr0": string, "intr3": string, "intr4": string, "name": string, "icon": string, "tab0": string, "tab3": string, "tab4": string, "gift": { "index": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": any[], "tasklist": { "3": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, "4": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, [x: string]: any } }, [x: string]: any }, [x: string]: any }, "5": { "3": string, "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr0": string, "intr3": string, "intr4": string, "name": string, "icon": string, "tab0": string, "tab3": string, "tab4": string, "gift": { "index": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": any[], "tasklist": { "3": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, "4": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, [x: string]: any } }, [x: string]: any }, [x: string]: any }, "6": {
        "3": string, "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr0": string, "intr3": string, "intr4": string, "name": string, "icon": string, "tab0": string, "tab3": string, "tab4": string, "gift": { "index": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": any[], "tasklist": { "3": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, "4": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, "zero": number, [x: string]: any } }, [x: string]: any }, [x: string]: any
    }, "7": { "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr0": string, "intr3": string, "intr4": string, "name": string, "icon": string, "tab0": string, "tab3": string, "tab4": string, "gift": { "index": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": any[], "tasklist": { "3": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, "4": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, [x: string]: any } }, [x: string]: any }, [x: string]: any }, "8": { "3": string, "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr0": string, "intr3": string, "intr4": string, "name": string, "icon": string, "tab0": string, "tab3": string, "tab4": string, "gift": { "index": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": any[], "tasklist": { "3": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, "4": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, [x: string]: any } }, [x: string]: any }, [x: string]: any }, "9": { "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr0": string, "intr3": string, "intr4": string, "name": string, "icon": string, "tab0": string, "tab3": string, "tab4": string, "gift": { "index": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": any[], "tasklist": { "3": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, "4": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, [x: string]: any } }, [x: string]: any }, [x: string]: any }, "10": { "3": string, "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr0": string, "intr3": string, "intr4": string, "name": string, "icon": string, "tab0": string, "tab3": string, "tab4": string, "gift": { "index": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": any[], "tasklist": { "3": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, "4": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, [x: string]: any } }, [x: string]: any }, [x: string]: any }, "11": { "3": string, "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr0": string, "intr3": string, "intr4": string, "name": string, "icon": string, "tab0": string, "tab3": string, "tab4": string, "gift": { "index": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": any[], "tasklist": { "3": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, "4": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, [x: string]: any } }, [x: string]: any }, [x: string]: any }, "12": {
        "3": string, "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr0": string, "intr3": string, "intr4": string, "name": string, "icon": string, "tab0": string, "tab3": string, "tab4": string, "gift": { "index": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": any[], "tasklist": { "3": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, "4": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, "zero": number, [x: string]: any } }, [x: string]: any }, [x: string]: any
    }, "13": { "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr0": string, "intr3": string, "intr4": string, "name": string, "icon": string, "tab0": string, "tab3": string, "tab4": string, "gift": { "index": number, "need": { "a": string, "t": string, "n": number, [x: string]: any }[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": any[], "tasklist": { "3": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, "4": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": [string], "stype": number, [x: string]: any } }, [x: string]: any }, [x: string]: any }, "100": { "2": string, "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr2": string, "intr4": string, "name": string, "icon": string, "tab2": string, "tab4": string, "gift": { "index": number, "need": any[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": [[number], number], "tasklist": { "2": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, [x: string]: any }, [x: string]: any }, "101": { "2": string, "time": { "start": number, "end": number, "hdid": number, "ttype": number, [x: string]: any }, "intr2": string, "intr4": string, "name": string, "icon": string, "tab2": string, "tab4": string, "gift": { "index": number, "need": any[], "free": boolean, "payId": string, "buyNum": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "maxlun": [[number], number], "tasklist": { "2": { [key: string]: { "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "tujing": string, "title": string, "type": number, "pval": number, "cond": any[], "stype": number, [x: string]: any } }, [x: string]: any }, [x: string]: any }, [x: string]: any
}

type gc_yibaichou = { "onlinePrize": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], "loginPrize": { "total": number, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], [x: string]: any }

type gc_yuedujijin = { "payId": string, "prize": { "a": string, "t": string, "n": number, [x: string]: any }[], "intr": string, "num": number, [x: string]: any }[]

type gc_zhangjie = k_v<{
    /** 章节id */
    'id': number
    /** 章节名 */
    'name': string
    'undefined': string
    /** 亮图建筑 */
    'liangImg': string
    /** 灰图建筑 */
    'anImg': string
    /** 坐标 */
    'xy': [number, number]
}>;

type gc_zhanling = {
    "eventOpen": k_v<number>, "payId": string, "payAddLv": number, "email": { "title": string, "content": string, [x: string]: any }, "task": { "intr": string, "taskId": string, "type": string, "total": number, "exp": number, "tiaozhuan": number, [x: string]: any }[], "lvNeed": { "a": string, "t": string, "n": number, [x: string]: any }[], "lv": { "2": number, "3": number, "4": number, "5": number, "6": number, "7": number, "8": number, "9": number, "10": number, "11": number, "12": number, "13": number, "14": number, "15": number, "16": number, "17": number, "18": number, "19": number, "20": number, "21": number, "22": number, "23": number, "24": number, "25": number, "26": number, "27": number, "28": number, "29": number, "30": number, "31": number, "32": number, "33": number, "34": number, "35": number, "36": number, "37": number, "38": number, "39": number, "40": number, "41": number, "42": number, "43": number, "44": number, "45": number, "46": number, "47": number, "48": number, "49": number, "50": number, [x: string]: any }, "prize": { "lv": number, "pt": { "a": string, "t": string, "n": number, [x: string]: any }[], "tq": { "a": string, "t": string, "n": number, [x: string]: any }[], [x: string]: any }[], [x: string]: any
}

type gc_zhuanshu = k_v<k_v<k_v<{
    /** 专属ID */
    'ID': number
    /** 名称 */
    'name': string
    /** 图片 */
    'img': number
    /** 阶级 */
    'jieji': number
    /** 星级 */
    'star': number
    /** 属性 */
    'buff': { [x: string]: any }
    /** 消耗 */
    'need': any[]
    /** 成功率 */
    'probability': number
}>>>;

type gc_zixuanlibao = { "time": number, "intr": string, "gift": { "need": any[], "free": boolean, "payId": string, "buyNum": number, "prize": [{ "a": string, "t": string, "n": number, [x: string]: any }[], { "a": string, "t": string, "n": number, [x: string]: any }[]], [x: string]: any }[], [x: string]: any }


type gc_kfcb_content = k_v<{
    /** id */
    'id': number
    /** 名 */
    'name': string
    /** 前端用   */
    'tiaozhuan': number
    /** 任务类型 */
    'type': number
    /** 显示时间,根据开服时间 */
    'showDay': number[]
}>;

type gc_kfcb_prize = k_v<{
    /** id */
    'id': number
    /** 任务类型 */
    'type': number
    /** 排名 */
    'rank': number[]
    /** 显示时间,根据开服时间 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
}>;

type gc_yuyuemail = {
    /** id */
    'title': { [k: string]: string }
    /** 任务类型 */
    'content': { [k: string]: string }
    /** 排名 */
    'opentime': number
    /** 排名 */
    'overtime': number
    /** 显示时间,根据开服时间 */
    'prize': { "a": string, "t": string, "n": number, [x: string]: any }[]
};

type gc_push_gift = {
    [k: string]: {
        /**礼包id*/
        id: number
        /**礼包类型*/
        type: number
        /**礼包参数*/
        num: any[]
        /**购买id*/
        payId: string[]
        /**持续时间*/
        time: number
        /**冷却时间*/
        displayCD: number
        /**显示返利比*/
        scale: number
    }
}

type gcType = {
    [key: string]: any
    armyattr: gc_armyattr
    attr: gc_attr
    boss: gc_boss
    buff: gc_buff
    chongzhi: gc_chongzhi
    choujiang: gc_choujiang
    chuanshuozhilu: gc_chuanshuozhilu
    clsl_com: gc_clsl_com
    clsl_dan: gc_clsl_dan
    com: gc_com
    common: gc_common
    diaoluo: gc_diaoluo
    diaoluoduihuan: gc_diaoluoduihuan
    dixiaheishi: gc_dixiaheishi
    dixiaqianzhuang: gc_dixiaqianzhuang
    dxlt_com: gc_dxlt_com
    dxlt_layer: gc_dxlt_layer
    dxlt_mb: gc_dxlt_mb
    dxlt_shop: gc_dxlt_shop
    equip: gc_equip
    equipAdjusting: gc_equipAdjusting
    equiplvup: gc_equiplvup
    equipMaster: gc_equipMaster
    equipstar: gc_equipstar
    equipSuit: gc_equipSuit
    eventOpen: gc_eventOpen
    exchangeRate: gc_exchangeRate
    fightPlan: gc_fightPlan
    friend: gc_friend
    ganbutexun: gc_ganbutexun
    gbtx_npcLv: gc_gbtx_npcLv
    ganhai: gc_ganhai
    gonglukuangbiao: gc_gonglukuangbiao
    group: gc_group
    guanlidiaodu: gc_guanlidiaodu
    guide: gc_guide
    hbzb: gc_hbzb
    hero: gc_hero
    heroAbility: gc_heroAbility
    herocom: gc_herocom
    herogrow: gc_herogrow
    herolv: gc_herolv
    herolvup: gc_herolvup
    heroskill: gc_heroskill
    hero_jx: gc_hero_jx
    hero_qianneng: gc_hero_qianneng
    hero_tf: gc_hero_tf
    huobanzhaomu: gc_huobanzhaomu
    huodong: gc_huodong
    item: gc_item
    jierihuodong: gc_jierihuodong
    jijin: gc_jijin
    jjc_com: gc_jjc_com
    jjc_npc: gc_jjc_npc
    jjc_ph: gc_jjc_ph
    jjc_tz: gc_jjc_tz
    kaifukuanghuan: gc_kaifukuanghuan
    kbzz: gc_kbzz
    land: gc_land
    leijichongzhi: gc_leijichongzhi
    meirishilian: gc_meirishilian
    meirishilian_com: gc_meirishilian_com
    mingdao: gc_mingdao
    mingdao_com: gc_mingdao_com
    mw_com: gc_mw_com
    mw_dj: gc_mw_dj
    name: gc_name
    niudanji: gc_niudanji
    npc: gc_npc
    openCond: gc_openCond
    openFun: gc_openFun
    other: gc_other
    pata: gc_pata
    patacom: gc_patacom
    pay: gc_pay
    payEmail: gc_payEmail
    peijian: gc_peijian
    peijiancangku: gc_peijiancangku
    peijiancom: gc_peijiancom
    peijian_jl: gc_peijian_jl
    peijian_lv: gc_peijian_lv
    peijian_master: gc_peijian_master
    PiratesFight: gc_PiratesFight
    playerChatFrame: gc_playerChatFrame
    playerdata: gc_playerdata
    playerHead: gc_playerHead
    playerHeadFrame: gc_playerHeadFrame
    playerLv: gc_playerLv
    playerModel: gc_playerModel
    pmd: gc_pmd
    qiandao: gc_qiandao
    qiandaocom: gc_qiandaocom
    qirichongzhi: gc_qirichongzhi
    qiridenglu: gc_qiridenglu
    qjzzd: gc_qjzzd
    ranking: gc_ranking
    shilihuizhang: gc_shilihuizhang
    shili_com: gc_shili_com
    shili_fb: gc_shili_fb
    shili_fbyj: gc_shili_fbyj
    shili_lv: gc_shili_lv
    shili_wz: gc_shili_wz
    shiwu: gc_shiwu
    shiwucom: gc_shiwucom
    shiwuleichong: gc_shiwuleichong
    shoot: gc_shoot
    shop: gc_shop
    shopcom: gc_shopcom
    shopItem: gc_shopItem
    shoucangpin: gc_shoucangpin
    shouchong: gc_shouchong
    skillani: gc_skillani
    skillintr: gc_skillintr
    skill_afteratk: gc_skill_afteratk
    skill_atk: gc_skill_atk
    skill_buff: gc_skill_buff
    skill_passive: gc_skill_passive
    slzd: gc_slzd
    swskillcom: gc_swskillcom
    tanxian: gc_tanxian
    tanxian_com: gc_tanxian_com
    tanxian_shiwu: gc_tanxian_shiwu
    tanxian_tgjl: gc_tanxian_tgjl
    task: gc_task
    tujian_jc: gc_tujian_jc
    usercom: gc_usercom
    vip: gc_vip
    wangzherongyao: gc_wangzherongyao
    weixiuchang_dz: gc_weixiuchang_dz
    weixiuchang_zz: gc_weixiuchang_zz
    xianshilibao: gc_xianshilibao
    xianshizhaomu: gc_xianshizhaomu
    xinshoulibao: gc_xinshoulibao
    xstask: gc_xstask
    xstaskcom: gc_xstaskcom
    xunlianjihua: gc_xunlianjihua
    yangchengmubiao: gc_yangchengmubiao
    yibaichou: gc_yibaichou
    yuedujijin: gc_yuedujijin
    zhangjie: gc_zhangjie
    zhanling: gc_zhanling
    zhuanshu: gc_zhuanshu
    zixuanlibao: gc_zixuanlibao
    kfcb_content: gc_kfcb_content
    kfcb_prize: gc_kfcb_prize
    yuyuemail: gc_yuyuemail
    tuisonglibao: gc_push_gift

}


declare global {
    type _gcType = gcType;
}

export function initGcType() {

}
        