

export type actionLogType = {
    day: {
        log: {
            [k: string]: number;
        };
    };
    retain: {
        log: {
            [k: string]: number;
        };
    };
};

export type CollectionActionLog<T extends keyof actionLogType> = {
    uid: string;
    type: T;
} & actionLogType[T];