import { joinFightData } from '../shared/fightControl/fightType';
import { player } from '../shared/protocols/user/type';


export type CollectionKbzzApplyUser = {
    uid: string;
    info: joinFightData;
};

export type CollectionKbzzGroupUser = CollectionKbzzApplyUser & CollectionKbzzGroupTroop;

export type CollectionKbzzGroupTroop = {
    group: number;
    troop: number;
    score: number;
};

export type CollectionKbzzGroupLog = {
    group: number;
    log: {
        player: Partial<player>[];
        troop: number[];
        winSide: number;
    }[];
};