import { int, StringTypeSchema } from "tsbuffer-schema";
import { rankType } from "../../../shared/protocols/rank/PtlOpen";

/**
 * 获取排行榜
 */
export type Reqranking = {
    /**获取数量 */
    num: number;
    /**跳过数量 */
    skip: number;
    /**排行榜类型 */
    rankid: rankType
};


export type Resranking = {
    /**
     * 如果发送成功将返回
     */
    code: number;
    message: string;
    data: {
        /**排名 */
        ranking: number;
        /**实体id(如： 玩家id, 工会id) */
        id: string;
        /**实体名称（如：玩家名称，工会名称） */
        name: string;
        /**排行值 */
        rankkingValue: string;
    }[]
};