import { StringTypeSchema } from "tsbuffer-schema";
import { ResLogin } from "../../../shared/protocols/user/PtlLogin";

/**
 * g123 单个玩家导入 批量修改数据
 */
export type Reqdata = {
    /**操作类型 此处固定 */
    action: "import";
    /**玩家数据模板类型 此处固定 */
    template: "players";
    data: {
        /**玩家ID（uid） */
        playerId: string;
        /**导出接口的 json 数据 */
        playerData: { [id: string]: any };
    }
};


export type Resdata = {
    /**
     * 如果发送成功将返回
     */
    code: number;
    message: string;
};