import { rankType } from '../../shared/protocols/rank/PtlOpen';
import { rankInfo } from '../../shared/protocols/type';
import { Rank } from './rank';


export class RankPower extends Rank {
    getType(): rankType {
        return 'zhanli';
    }
    // compare(other: rankInfo, cur: rankInfo): boolean {
    //     return cur.valArr[0] > other.valArr[0];
    // }
    // compareSort(a: rankInfo, b: rankInfo): number {
    //     return b.valArr[0] - a.valArr[0];
    // }
    // 积分, 排名依据
    // getValArr(info: rankInfo):number|string {
    //     return info?.valArr[0] || 0
    // }

    async getRankList(uid: string, {min, max}): Promise<{ rankList: rankInfo[]; myRank: rankInfo; }> {
        let data = await this.getRankData(uid);
        let rankList = await this.getRankListRange(min, max);
        let score = await this.getRankScore(uid);
        let rank = await this.getRankSortByOne(uid);
        return {
            rankList: rankList,
            myRank: {
                rank,
                player: data?.player || {},
                roles: data?.roles, 
                valArr: [score]
            }
        };
    }
}