import { ServiceType } from './protocols/serviceProto';


export const msgApi: Array<keyof ServiceType['api']> = [
    'chat/Send', 'chat/Private', 'chat/Help',
    'jjc/Open', 'jjc/Refresh', 'jjc/Fight',
    'rank/Open',
    'user/ChangeName',
    'pay/GetList',
    'event/xianshizhaomu/Lottery',
    'conglinshoulie/Find', 'conglinshoulie/Open',
    'hongdian/Get'
];

export const msgApiDir: Array<string> = [
    'gonghui',
    'friend',
    'hbzb',
    'slzd',
    'kbzz',
    'wzry'
];

export const msgMsg: Array<`msg_c2s${string}` & keyof ServiceType['msg']> = [
    'msg_c2s/BindUid',
    'msg_c2s/Pay'
];