import { ReqAddHuoDong } from "../../../../monopoly/protocols/PtlAddHuoDong";


/**
 * 进入圣诞节活动
 */
export type ReqOpen = {
    hdid: number
};

export type ResOpen = {
    mydata: christmas,
    hdinfo: ReqAddHuoDong
};


export type christmas = {
    type: string
    uid: string
    /**养成目标活动 的唯一活动hdid */
    hdid: number
    /**任务id 做key, 完成值做值 */
    taskval: { [id: string]: number }
    /**任务领取标识 */
    taskfinish: string[]
    /**小游戏挑战次数 */
    gamenum: number
    /**普通战令奖励集合 奖励id */
    pt: number[]
    /**高级战令奖励集合 奖励id */
    gj: number[]
    /**付费标志 */
    pay:boolean
    /**礼包购买次数数据 */
    libao: { [k: string]: number }
    /**礼包奖励选择 */
    select:{[k: string]: {[k: string]:string}}
    /**装扮值 */
    val: number
    /**签到标识 */
    qiandao:number[],
    /**刷新时间 */
    refresh: number
}