import { ReqAddHuoDong } from "../../../../monopoly/protocols/PtlAddHuoDong";

/**
 * 进入养成目标
 */
export type ReqOpen = {
    hdid: number
};

export type ResOpen = {
    mydata: yangchengmubiao,
    hdinfo: ReqAddHuoDong
};


export type yangchengmubiao = {
    type: string
    uid: string
    /**养成目标活动 的唯一活动hdid */
    hdid: number
    /**任务id 做key, 完成值做值 */
    taskval: { [id: string]: number }
    /**完成任务的 taskid */
    finishid: {
        "1": number[]
        "2": number[]
        "3": number[]
        [id: string]: number[]
    }
    /**刷新时间 */
    refresh: number
    /**轮次 */
    lunci: number
    /**礼包购买次数数据 */
    record: { [k: string]: number }
}