/**
 * 进入战令
 */
export type ReqOpen = {};

export type ResOpen = {
    /**等级 */
    lv: number;
    /**当前经验 */
    exp: number;
    /**等级奖励领取记录 */
    rec: {
        [index: string]: { pt: boolean, tq: boolean; };
    };
    /**是否购买了战令 */
    isPay: boolean;
    /**追杀令任务领取情况 */
    taskRec: number[];
    /**追杀令任务完成情况 */
    taskFinished: {
        [taskId: string]: number;
    };
    nextRoundTime: number
};