import { joinFightData } from '../../fightControl/fightType';


/**
 * 进入公路狂飙
 */
export type ReqOpen = {

};

export type ResOpen = {
    /**每日挑战不同等级玩家的胜利次数 */
    toDayWin: {
        [index: string]: number;
    };
    /**每日已购买的挑战次数 */
    toDayBuyNum: number;
    /**每日已使用的挑战次数 */
    toDayUseNum: number;
    /**挑战玩家列表 */
    enemys: (joinFightData & { wanted?: number })[];
    /**通缉值 */
    wanted: number;
    /**被抢夺次数 */
    toDayBeiFightNum?: number;
};