import { joinFightData } from '../../../fightControl/fightType';

/**
 * 进入争霸赛
 */
export type ReqOpen = {

};

export type ResOpen = {
    /**每日胜场次数 */
    winNum: number;
    /**每日已领取的胜场奖励 */
    winRecPrize: number[];
    /**每日已使用的挑战次数 */
    useFightNum: number;
    /**每日已购买的挑战次数 */
    buyFightNum: number;
    /**敌人 */
    enemy: {
        data: joinFightData;
        rank: number;
    }[];
    /**排名 */
    rank: number;
    /**战斗失败cd */
    failCd?: number;
};