import { heroShiWu } from '../type';
/**
 * 获取英雄列表
 */

export type ReqGetList = {

};

export type ResGetList = {
    /**英雄列表 */
    list: {
        [_id: string]: {
            /**英雄唯一id */
            _id: string;
            /**英雄id */
            heroId: string | number;
            /**等级 */
            lv: number;
            /**阶级 */
            jieji: number;
            /**获取时间 */
            getTime: number;
        } & Partial<heroAddKey>;
    };
    /**上阵站位 */
    pos: {
        [pos: string]: string;
    };
    /**英雄获取的历史记录数量 */
    lshd: {
        [heroId: string]: number;
    };
    /**干部传记领取 */
    gbzj: {
        [heroId: string]: boolean;
    };
};

type heroAddKey = {
    /**装备 */
    equip: {
        [pos: string]: string;
    };
    /**战力 */
    zhanli: number;
    /**专属武器 */
    weapon: {
        /**阶级 通过武器觉醒提升*/
        jieji: number;
        /**星级 通过武器升星提升*/
        star: number;
        /**升星失败后增加的成功几率 每失败一次增加0.1 升星成功后清0*/
        starProbability: number;
    };
    /**饰物 */
    shiwu: {
        [_id: string]: heroShiWu;
    };
    /**潜能 */
    qiannneg: {
        [type: string]: number;
    };
    /**觉醒 */
    awake: number;
    /**天赋 */
    talent: {
        [type: string]: number;
    };
    /**配件 */
    peijian: {
        [pos: string]: string;
    };
};