import { player } from '../user/type';


/**
 * 获取我的分组里面的势力排名
 */
export type ReqGroupState = {
    group: number;
    troop: number;
};

export type ResGroupState = {
    rank: {
        troop: number;
        score: number;
    }[];
    log: {
        player: Partial<player>[];
        troop: number[];
        winSide: number;
    }[];
};