import { rankInfo } from '../type';

/**
 * 排行榜
 */
export type ReqOpen = rankTypeObj | Array<rankType>;

export type ResOpen = {
    [type: string]: {
        rankList: rankInfo[];
        myRank: rankInfo;
    };
};

export type rankType = 'jjc' | 'tanxian' | 'zhanli' | 'qjzzd' | 'hbzbLocal' | 'hbzbCross' | 'hbzbZbsCross'
    | 'slzd1' | 'slzd2' | 'slzd3' | 'slzd4' | 'slzd5' | 'slzd6'
    | 'kbzz' | 'xszm' | 'clslCross'
    | 'zccg' | 'gbzl' | 'tujian' | 'wzryCross';

export type rankTypeObj = {
    type?: rankType[],
    page?: number,
    offset?: number
}