import { prizeType } from '../type';
import { ResOpen } from './PtlOpen';

/**
 * 购买商品
 */
export type ReqBuy = {
    /**商店id */
    shopId: string;
    /**购买下标 */
    buyIndex: number;
    /**购买数量 默认1 */
    buyNum?: number;
};

export type ResBuy = {
    prize: prizeType[];
    buyNum: ResOpen['buyNum'];
};