
/**
 * 探险open
 */
export type ReqOpen = {
    /**是否使用缓存 建议进游戏前使用false 进游戏后使用true*/
    cache: boolean;
};

export type ResOpen = {
    /**事件开始时间 */
    eventTime?: number;
    /**从哪个时间戳开始挂机 */
    lastGuaJiTime: number;
    /**快速挂机次数 */
    fastGuaJiNum: number;
    /**已使用的快速挂机次数 */
    useFastGuaJiNum: number;
    /**已使用的免费快速挂机次数 */
    useFreeGuaJiNum?: number;
    /**已领取的通关奖励 */
    receivePrize: string[];
    /**已领取的通关奖励 */
    receivePrizeConfId?: string[];
    /**上一次重置的时间戳 */
    resetTime: number;
    /**作战特权免费次数 */
    zztqfreeNum?: number;
    /**最后领取的奖励进度 */
    receiveLastId?: string;
};