import { string } from "mathjs";

export type taskType = {
    /**上一次任务刷新时间 */
    retime: number;
    /**任务stype */
    stype: number;
    /**任务类型type */
    type: number;
    /**任务唯一id */
    taskid: number
    /**完成值 */
    nval: number
    /**目标值 */
    pval: number
    /**是否完成 */
    finish: 0 | 1
    /**最后修改数据时间 */
    lasttime: number
    uid: string
};


/**玩家乱七八糟的数据 注册任务用 */
export type usertasklog = {
    uid: string
    /**玩家干部最高等级 */
    maxherolv?: number
    /**玩家装备最高等级 */
    maxequiplv?: number
    /**玩家配件最高等级 */
    maxpeijianlv?: number
    /**玩家获取的装备相关颜色数量 */
    equipcolor?: {
        [id: string]: number
    }
    /**玩家获取的英雄相关颜色数量 */
    herocolor?: {
        [id: string]: number
    }
    /**玩家获取的配件相关颜色等级 */
    peijiancolor?: {
        [id: string]: number
    }
    /**好友申请次数 */
    friendAsk?: number
    /**送礼次数 */
    sendGift?: number
};