import { ApiCall } from "tsrpc";
import { ReqEmail, ResEmail } from "../monopoly/protocols/PtlEmail";
import { EmailFun } from '../public/email';

export default async function (call: ApiCall<ReqEmail, ResEmail>) {
    call.succ({ insertId: await EmailFun.addEmail(call.req) });
}