import { ApiCall } from "tsrpc";
import { Reqheapdump, Resheapdump } from "../../monopoly/protocols/games/Ptlheapdump";
var heapdump = require('heapdump');

export default async function (call: ApiCall<Reqheapdump, Resheapdump>) {

    if(call.req.act == "heapdump"){
        let name = Date.now() + '.heapsnapshot'
        heapdump.writeSnapshot(name);
        call.succ({
            code:200,
            data:name
        })
    }

    if(call.req.act == "gc"){
        global.gc();
        call.succ({
            code:200,
            data:"gc..."
        })
    }
}