import { ApiCall } from "tsrpc";
import { FightFun } from '../../public/fight';
import { ReqFightLog, ResFightLog } from "../../shared/protocols/kbzz/PtlFightLog";

export default async function (call: ApiCall<ReqFightLog, ResFightLog>) {

    call.succ(await FightFun.readLog(call.uid, 'kbzz'));
}