import { ApiCall } from "tsrpc";
import { FightFun } from '../../public/fight';
import { ReqFightLog, ResFightLog } from "../../shared/protocols/slzd/PtlFightLog";

export default async function (call: ApiCall<ReqFightLog, ResFightLog>) {
    call.succ(await FightFun.readLog(call.conn.gud.ghId, 'slzd'));
}