import { ApiCall } from "tsrpc";
import { ReqOpen, ResOpen } from "../../shared/protocols/weixiuchang/PtlOpen";
import { weixiuchangType } from "../../shared/protocols/weixiuchang/type";
import { FunWeiXiuChang } from "../../public/weixiuchang";

export default async function (call: ApiCall<ReqOpen, ResOpen>) {
    //1. 查询数据
    let data:weixiuchangType = await FunWeiXiuChang.getFindOne(call);
    //2. 返回数据
    call.succ({schedule: data.schedule, star: data.star})
}