import { player } from '../../../shared/protocols/user/type';


export type ReqGroupRank = {
    group: number;
    troop: number;
};

export type ResGroupRank = {
    rank: {
        troop: number;
        score: number;
    }[];
    log: {
        player: Partial<player>[];
        troop: number[];
        winSide: number;
    }[];
};