import {Reqpopup} from "../monopoly/protocols/gift/Ptlpopup";


export type CollectionGiftLog = {
    //popup推送数据
    popup_id: string;
    ctwid: string;
    game_user_id: string;
    game_server_id: string;
    role: { id: string };
    gift: { id: string };
    template_id: string;

    //获取到的礼包详情
    id: string
    vipPoints: number
    amountToDiamond: number
    price: number
    priceValueRatio: number
    duration: number
    purchaseLimitAmount: number
    isAISupported: boolean
    platformCreative: { enabled: boolean, background: string }
    items: { [k: string]: any }

    //用户显示或购买记录
    showTime: number;
    endTime: number;
    buyNumber: number;
}