import {gonghuiBase} from '../shared/protocols/gonghui/type';


export type CollectionGongHui = gonghuiBase;

export type CollectionGongHuiUser = {
    jx?: {
        /**刷新时间 */
        refreshTime: number;
        /**捐献记录 */
        record: {
            [index: number]: number;
        };
    };
    task?: {
        ghRec: number[];
        myRec: number[];
        refreshTime: number;
    };
    fuben?: {
        fightNum: number;
        refreshTime: number;
        /**每日可增加的次数 */
        addNum?: number
    };
};

export type CollectionGongHuiFb = {
    ghId: string;
    fbId: string;
    rankList: k_v<number>;
};