import {ObjectId} from "mongodb";
import {ResOpen} from "../shared/protocols/pushgift/PtlOpen";

export type Gift = {
    id: string
    uid: string
    buy: number[]
    ctime: number
    passTime: number
    ext_data: { [key: string]: any }
}

export type CollectionPushGift = Gift & { _id: ObjectId };