import { e } from 'mathjs';
import { joinFightData } from '../shared/fightControl/fightType';
import { ResOpen } from '../shared/protocols/slzd/PtlOpen';


export type CollectionSlzdUser = {
    uid: string;
    val: k_v<number>;
    ghid: string;
    info: joinFightData;
    recordFightNum: number;
    data: Omit<ResOpen, 'soltLog'> & { refreshTime: number; };
};

export type CollectionSlzdGh = {
    val: k_v<number>;
    ghid: string;
    ghName: string;
    soltLog: { name: string, prize: any[]; }[];
};

export type CollectionSlzdStash = {
    key: string
    val: k_v<number>
    utime: number
}