/**
 * 向玩家发送邮件
 */
export type ReqEmail = {
    /**玩家uid */
    uid: string;
    /**邮件类型 */
    type: 'system' | 'gm';
    /**邮件标题 */
    title: string;
    /**邮件内容 */
    content: string;
    /**邮件奖励 没有可不传入*/
    prize?: { a: string, t: string, n: number; }[];
    /**插入邮件内容的值 str(content, contentInsertArr) */
    contentInsertArr?: any[];
    /**全服邮件 是否领取，存在uid为领取 */
    prizelist?: string[],
    /**全服邮件 是否删除，存在uid为删除 */
    dellist?: string[],
    /**记录一些杂七杂八的，没什么用又必须记录 */
    g123log?: { [id: string]: any },

    lngTitle?: { [k: string]: any },
    lngContent?: { [k: string]: any },

};


export type ResEmail = {
    /**
     * 如果发送成功 将返回邮件数据库插入id
     */
    insertId: string;
};