import { StringTypeSchema } from "tsbuffer-schema";

/**
 * g123 玩家重命名
 */
export type Reqrename = {
    /**操作类型 此处固定 */
    action: "rename";
    /**玩家数据模板类型 此处固定 */
    template: "players";
    data: {
        /**玩家ID（uid） */
        playerId: string;
        /**玩家新的昵称 */
        nickname: string;
    }
};


export type Resrename = {
    /**
     * 如果发送成功将返回
     */
    code: number;
    message: string;
};