import { jijinType } from './event/jijin/PtlOpen';

/**
 * 异步按钮
 */
export type ReqSyncBtn = syncBtnKeys[];

export type ResSyncBtn = {
    [id: string]: defaultSyncBtn;
    xianshilibao?: {
        pays: {
            payId: string;
            eTime: number;
        }[];
    };
};

export type defaultSyncBtn = {
    /**到期时间 */
    eTime?: number;
    /**是否显示 */
    active?: boolean;
    /**开始时间 */
    sTime?: number;
    /**活动轮次 */
    round?: number;
    [k: string]: any;
};

export type syncBtnKeys = 'shouchong' | 'kaifukuanghuan' | jijinType | 'zhanling' | 'qiridenglu'
    | 'xianshilibao' | 'yibaichou' | 'huobanzhaomu' | 'xianshizhaomu'
    | 'leijichongzhi' | 'xinshoulibao' | 'jierihuodong' | 'yuedujijin' | 'zixuanlibao' | 'diaoluoduihuan' | 'chuanshuozhilu'
    | 'yangchengmubiao' | 'G123Gift' | 'christmas'