import { prizeType } from '../type';
import { ResOpen } from './PtlOpen';

/**
 * 地下钱庄（点金）接口
 */

export type ReqQf = {
    type: 1 | 10;
};

export type ResQf = {
    /**抽取的奖励 */
    prize: prizeType[];
    /**更新open接口数据 */
    changeData?: Partial<ResOpen>;
    /**暴击次数 */
    bj?: {1?:number, 2?:number, 3?:number};
};