import { prizeType } from '../type';
import { ResOpen } from './PtlOpen';


/**
 * 赠礼收礼
 */
export type ReqGift = {
    type: 'send' | 'get' | 'yijian';
    /**当type == 'send' | 'get' 时需要传入的玩家uid */
    uid?: string;
};

export type ResGift = {
    prize: prizeType[];
    change: Partial<Pick<ResOpen, 'recGift' | 'sendGift'>>;
};