import { joinFightData } from '../../fightControl/fightType';
import { prizeType } from '../type';

/**
 * 进入赶海
 */
export type ReqOpen = {

};

export type ResOpen = {
    /**每日已使用我的商船刷新次数 */
    useRefreshNum: number;
    /**每日已使用护送次数 */
    useEscortNum: number;
    /**每日已使用掠夺次数 */
    useFightNum: number;
    /**界面出现的商船 */
    ships: shipType[];
    /**我刷新出来的商船 */
    myShips: number[];
    /**我护送的商船 */
    ship: shipType | null;
    /**护送奖励 */
    prize?: prizeType[];
};

type shipType = {
    /**船的类型 */
    index: number;
    /**开始护送的时间 */
    sTime: number;
    /**被掠夺的次数 */
    beFightNum: number;
    /**玩家信息 */
    player: joinFightData;
};