import { prizeType } from '../type';


/**
 * 领取任务奖励
 */
export type ReqTaskReceive = {
    /**
     * gh 领取公会任务进度奖励
     * my 领取公会任务奖励
     */
    type: 'gh' | 'my';
    /**
     * 领取下标
     */
    index: number;
};

export type ResTaskReceive = {
    prize: prizeType[];
};

export const conf = {
    needGudKey: ['ghId']
};