import { joinFightData } from '../../../fightControl/fightType';

/**
 * 进入积分赛
 */
export type ReqOpen = {

};

export type ResOpen = {
    /**每日胜场次数 */
    winNum: number;
    /**每日已领取的胜场奖励 */
    winRecPrize: number[];
    /**每日已使用的挑战次数 */
    useFightNum: number;
    /**每日已购买的挑战次数 */
    buyFightNum: number;
    /**每日已使用的刷新次数 */
    useRefreshNum: number;
    /**敌人 */
    enemy: {
        data: joinFightData;
        jifen: number;
        result: null | number;
    }[];
    /**排名 */
    rank: number;
    /**积分 */
    jifen: number;
};