/**
 * 英雄专属武器提升
 */

export type ReqWeaponUp = {
    /**英雄唯一id */
    id: string;
    /**
     * 提升类型
     * @param jieji 觉醒
     * @param star 升星
     */
    type: 'jieji' | 'star';
};

export type ResWeaponUp = {
    /**
     * 升星时会出现该字段 表示升星是否失败
     */
    starFail?: boolean;
};