import { prizeType } from '../type';
import { ResOpen } from './PtlOpen';

/**
 * 酒吧抽奖接口接口
 * 30代表首次抽奖，必出英雄，前端新手引导需要
 */

export type ReqLottery = {
    type: 1 | 10 | 30;
};

export type ResLottery = {
    /**抽取的奖励 */
    prize: prizeType[];
    /**更新open接口数据 */
    changeData?: Partial<ResOpen>;
};