import { rankInfo } from '../type';


/**
 * 竞技场open
 */
export type ReqOpen = {

};

export type ResOpen = {
    /**每日已购买的挑战次数 */
    buyFightNum: number;
    /**每日已挑战次数 */
    useFightNum: number;
    /**已领取的战斗奖励 */
    receivedArr: string[];
    /**每日重置时间 */
    resetTime: number;
    /**排名 */
    rank: number;
    /**对手 */
    enemy: rankInfo[];
    /**历史记录胜利次数 */
    recordWin?: number;
};

export type jjcChange = Partial<ResOpen>;