import {rankInfo} from "../type";

/**
 * 开服竞赛open
 */
export type ReqOpen = {
    /**
     * 分页，从0页开始
     */
    page: number,
    /**
     * 每页条数
     */
    offset: number
    /**
     * 要查询的排行榜type,不传默认显示当前活动
     */
    type?: number
};

export type ResOpen = {
    conf?: any
    rankList: rankInfo[];
    myRank: rankInfo;
    endTime: number
    record:{
        [k: string]: number;
    }
};
