/**
 * 领主来袭open接口
 */
import { string } from "mathjs";
import { OptionalId, UpdateFilter } from "mongodb";
import { prizeType } from "../type";

export type ReqOpen = {

};

export type ResOpen = {
    /**领主来袭的次数信息 */
    mydata: lingzhulaixi_CiSHU,
    /**领主来袭默认boss各种信息 */
    bosslist: lingzhulaixi_BossList
};


/**领主来袭默认boss各种信息 */
export type lingzhulaixi_BOSSmmMoRenZhi = {
    /**boss id */
    bid: string
    /**创建时间 */
    ctime: number
    /**下次复活时间 */
    passtime: number
    /**怪物总血量 */
    maxhp: number
    /**挑战的玩家信息 */
    pkuser: { [id: string]: number }
    /**当前扣除的血量 */
    delhp: number
    /**超过三名之后挑战人数随机值 */
    randusernum: number
    _id?: string

}


/**领主来袭的次数信息 */
export type lingzhulaixi_CiSHU = {
    /**已经使用的次数 */
    num: number
    /**重置次数时的时间戳 */
    time: number
    /**上次挑战的最大伤害 bossid 为key*/
    maxdps: {
        [bid: string]: number
    }
}

/**领主来袭的boss列表格式 */
export type lingzhulaixi_BossList = {
    [bid: string]: {
        /**boss id */
        bid: string
        /**下次复活时间 */
        passtime: number
        /**怪物总血量 */
        maxhp: number
        /**当前扣除的血量 */
        delhp: number
        /**挑战的玩家数量 */
        pkusernum: number
    }
}



