

/**
 * 进入每日试炼
 */
export type ReqOpen = {

};

export type ResOpen = {
    /**已使用的挑战次数 */
    useFightNum: number;
    /**已购买的挑战次数 */
    buyFightNum: number;
    /**挑战胜利记录 */
    recordWin: {
        [type: string]: {
            [difficulty: string]: number;
        };
    };
    /**新的购买信息，旧的不要用了 */
    numInfo?: {
        [type: string]: {
            [difficulty: string]: {
                /**已使用的挑战次数 */
                useFightNum?: number;
                /**已购买的挑战次数 */
                buyFightNum?: number;
            };
        }
    }
};