import { ResLogin } from '../user/PtlLogin';


/**
 * 聊天信息推送
 */
export type MsgChat = {
    /**消息内容 */
    msg: string;
    /**发送时间 */
    time: number;
    /**消息分类 */
    type: 'cross' | 'local' | 'guild';
    /**发送人 */
    sender: Partial<ResLogin['gud']> | 'system';
    /**接收人 */
    recipient?: Partial<ResLogin['gud']> | 'system';
    /**附加数据 */
    otherData?: {
        [k: string]: any;
    };


};