import { ResLogin } from '../user/PtlLogin';
import { MsgChat } from './MsgChat';


export type MsgPrivate = Pick<MsgChat, 'msg' | 'time' | 'otherData'> & {
    /**发送人 */
    sender: Partial<ResLogin['gud']>;
    /**私聊id */
    privateId: string;
    /**接收人 */
    recipient?: Partial<ResLogin['gud']>;
};