/**
 * 获取充值记录列表
 */
export type ReqGetList = {};

export type ResGetList = {
    list: {
        [payId: string]: payLog[];
    };
};

export type payLog = {
    /**购买时间 */
    time: number;
    /**结束时间 */
    eTime?: number;
    /**
     * 购买发起者
     * @user 玩家购买
     * @system 系统赠送
     */
    type: 'user' | 'system' | 'legu';
    /**
     * 其他信息
     */
    args?: any;


    /** G123 */
    popup_id?: string
    buyNumber?: number
    template_id?: string
};