import { joinFightData } from '../../fightControl/fightType';
/**
 * 进入势力争夺
 */
export type ReqOpen = {

};

export type ResOpen = {
    /**集火 */
    aim: string;
    /**胜利次数 */
    winNum: number;
    /**已领取的胜场奖励 */
    winRec: number[];
    /**挑战次数 */
    fightNum: number;
    /**已购买挑战次数 */
    buyFightNum: number;
    /**已使用的刷新次数 */
    useRefreshNum: number;
    /**战斗次数+1的开始时间戳 */
    replyCd: number;
    /**敌人 */
    enemy: {
        [fort: string]: {
            data: joinFightData;
            result: null | number;
        }[];
    };
    /**老虎机日志 */
    soltLog: { name: string, prize: any[]; }[];
    /**特产库 */
    stashObj?: {
        [k: string]: number
    }
};

export const conf = {
    needGudKey: ['ghId']
};